Index: extensions/autoupdate/trunk/language/ar_SA/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/ar_SA/plugin.lang.php	(revision 9710)
+++ extensions/autoupdate/trunk/language/ar_SA/plugin.lang.php	(revision 9711)
@@ -46,3 +46,4 @@
 /*TODO*/$lang['Click here to see upgrades'] = 'Click here to see upgrades';
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
+/*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
 ?>
Index: extensions/autoupdate/trunk/language/cs_CZ/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/cs_CZ/plugin.lang.php	(revision 9710)
+++ extensions/autoupdate/trunk/language/cs_CZ/plugin.lang.php	(revision 9711)
@@ -46,3 +46,4 @@
 /*TODO*/$lang['Click here to see upgrades'] = 'Click here to see upgrades';
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
+/*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
 ?>
Index: extensions/autoupdate/trunk/language/da_DK/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/da_DK/plugin.lang.php	(revision 9710)
+++ extensions/autoupdate/trunk/language/da_DK/plugin.lang.php	(revision 9711)
@@ -46,3 +46,4 @@
 /*TODO*/$lang['Click here to see upgrades'] = 'Click here to see upgrades';
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
+/*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
 ?>
Index: extensions/autoupdate/trunk/language/de_DE/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/de_DE/plugin.lang.php	(revision 9710)
+++ extensions/autoupdate/trunk/language/de_DE/plugin.lang.php	(revision 9711)
@@ -46,3 +46,4 @@
 /*TODO*/$lang['Click here to see upgrades'] = 'Click here to see upgrades';
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
+/*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
 ?>
Index: extensions/autoupdate/trunk/language/en_UK/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/en_UK/plugin.lang.php	(revision 9710)
+++ extensions/autoupdate/trunk/language/en_UK/plugin.lang.php	(revision 9711)
@@ -46,3 +46,4 @@
 $lang['Click here to see upgrades'] = 'Click here to see upgrades';
 $lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
+/*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
 ?>
Index: extensions/autoupdate/trunk/language/es_ES/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/es_ES/plugin.lang.php	(revision 9710)
+++ extensions/autoupdate/trunk/language/es_ES/plugin.lang.php	(revision 9711)
@@ -46,3 +46,4 @@
 /*TODO*/$lang['Click here to see upgrades'] = 'Click here to see upgrades';
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
+/*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
 ?>
Index: extensions/autoupdate/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/fr_FR/plugin.lang.php	(revision 9710)
+++ extensions/autoupdate/trunk/language/fr_FR/plugin.lang.php	(revision 9711)
@@ -46,3 +46,4 @@
 $lang['Click here to see upgrades'] = 'Cliquez ici pour voir les mises à jour';
 $lang['Gallery and extensions are up to date'] = 'Votre galerie et les extensions sont à jour';
+$lang['All extensions are up to date.'] = 'Toutes les extensions sont à jour.';
 ?>
Index: extensions/autoupdate/trunk/language/hr_HR/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/hr_HR/plugin.lang.php	(revision 9710)
+++ extensions/autoupdate/trunk/language/hr_HR/plugin.lang.php	(revision 9711)
@@ -46,3 +46,4 @@
 /*TODO*/$lang['Click here to see upgrades'] = 'Click here to see upgrades';
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
+/*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
 ?>
Index: extensions/autoupdate/trunk/language/hu_HU/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/hu_HU/plugin.lang.php	(revision 9710)
+++ extensions/autoupdate/trunk/language/hu_HU/plugin.lang.php	(revision 9711)
@@ -47,3 +47,4 @@
 /*TODO*/$lang['Click here to see upgrades'] = 'Click here to see upgrades';
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
+/*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
 ?>
Index: extensions/autoupdate/trunk/language/it_IT/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/it_IT/plugin.lang.php	(revision 9710)
+++ extensions/autoupdate/trunk/language/it_IT/plugin.lang.php	(revision 9711)
@@ -46,3 +46,4 @@
 /*TODO*/$lang['Click here to see upgrades'] = 'Click here to see upgrades';
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
+/*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
 ?>
Index: extensions/autoupdate/trunk/language/ja_JP/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/ja_JP/plugin.lang.php	(revision 9710)
+++ extensions/autoupdate/trunk/language/ja_JP/plugin.lang.php	(revision 9711)
@@ -46,3 +46,4 @@
 /*TODO*/$lang['Click here to see upgrades'] = 'Click here to see upgrades';
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
+/*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
 ?>
Index: extensions/autoupdate/trunk/language/ka_GE/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/ka_GE/plugin.lang.php	(revision 9710)
+++ extensions/autoupdate/trunk/language/ka_GE/plugin.lang.php	(revision 9711)
@@ -47,3 +47,4 @@
 /*TODO*/$lang['Click here to see upgrades'] = 'Click here to see upgrades';
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
+/*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
 ?>
Index: extensions/autoupdate/trunk/language/lv_LV/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/lv_LV/plugin.lang.php	(revision 9710)
+++ extensions/autoupdate/trunk/language/lv_LV/plugin.lang.php	(revision 9711)
@@ -46,3 +46,4 @@
 /*TODO*/$lang['Click here to see upgrades'] = 'Click here to see upgrades';
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
+/*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
 ?>
Index: extensions/autoupdate/trunk/language/nl_NL/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/nl_NL/plugin.lang.php	(revision 9710)
+++ extensions/autoupdate/trunk/language/nl_NL/plugin.lang.php	(revision 9711)
@@ -46,3 +46,4 @@
 /*TODO*/$lang['Click here to see upgrades'] = 'Click here to see upgrades';
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
+/*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
 ?>
Index: extensions/autoupdate/trunk/language/no_NO/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/no_NO/plugin.lang.php	(revision 9710)
+++ extensions/autoupdate/trunk/language/no_NO/plugin.lang.php	(revision 9711)
@@ -45,3 +45,4 @@
 /*TODO*/$lang['Click here to see upgrades'] = 'Click here to see upgrades';
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
+/*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
 ?>
Index: extensions/autoupdate/trunk/language/pl_PL/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/pl_PL/plugin.lang.php	(revision 9710)
+++ extensions/autoupdate/trunk/language/pl_PL/plugin.lang.php	(revision 9711)
@@ -46,3 +46,4 @@
 /*TODO*/$lang['Click here to see upgrades'] = 'Click here to see upgrades';
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
+/*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
 ?>
Index: extensions/autoupdate/trunk/language/pt_PT/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/pt_PT/plugin.lang.php	(revision 9710)
+++ extensions/autoupdate/trunk/language/pt_PT/plugin.lang.php	(revision 9711)
@@ -46,3 +46,4 @@
 /*TODO*/$lang['Click here to see upgrades'] = 'Click here to see upgrades';
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
+/*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
 ?>
Index: extensions/autoupdate/trunk/language/ru_RU/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/ru_RU/plugin.lang.php	(revision 9710)
+++ extensions/autoupdate/trunk/language/ru_RU/plugin.lang.php	(revision 9711)
@@ -46,3 +46,4 @@
 /*TODO*/$lang['Click here to see upgrades'] = 'Click here to see upgrades';
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
+/*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
 ?>
Index: extensions/autoupdate/trunk/language/sk_SK/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/sk_SK/plugin.lang.php	(revision 9710)
+++ extensions/autoupdate/trunk/language/sk_SK/plugin.lang.php	(revision 9711)
@@ -46,3 +46,4 @@
 /*TODO*/$lang['Click here to see upgrades'] = 'Click here to see upgrades';
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
+/*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
 ?>
Index: extensions/autoupdate/trunk/language/vi_VN/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/vi_VN/plugin.lang.php	(revision 9710)
+++ extensions/autoupdate/trunk/language/vi_VN/plugin.lang.php	(revision 9711)
@@ -46,3 +46,4 @@
 /*TODO*/$lang['Click here to see upgrades'] = 'Click here to see upgrades';
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
+/*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
 ?>
Index: extensions/autoupdate/trunk/language/zh_CN/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/zh_CN/plugin.lang.php	(revision 9710)
+++ extensions/autoupdate/trunk/language/zh_CN/plugin.lang.php	(revision 9711)
@@ -46,3 +46,4 @@
 /*TODO*/$lang['Click here to see upgrades'] = 'Click here to see upgrades';
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
+/*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
 ?>