Index: extensions/floPure/Pure_default/icon/index.php
===================================================================
--- extensions/floPure/Pure_default/icon/index.php	(revision 9678)
+++ extensions/floPure/Pure_default/icon/index.php	(revision 9716)
@@ -1,7 +1,7 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | Piwigo - a PHP based picture gallery                                  |
+// | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2008      Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
 // | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
 // | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
Index: extensions/floPure/Pure_default/iconset.css
===================================================================
--- extensions/floPure/Pure_default/iconset.css	(revision 9716)
+++ extensions/floPure/Pure_default/iconset.css	(revision 9716)
@@ -0,0 +1,51 @@
+.pwg-icon {
+	background-image: url(icon/SPRITE.png);
+}
+A.pwg-button {
+	border:none;
+}
+.pwg-state-disabled .pwg-icon-arrow-e{ background-position: 0 -144px; width: 22px; height: 22px; } 
+.pwg-state-disabled .pwg-icon-arrow-w{ background-position: 0 -360px; width: 22px; height: 22px; } 
+.pwg-state-disabled .pwg-icon-arrowstop-e{ background-position: 0 -504px; width: 22px; height: 22px; } 
+.pwg-state-disabled .pwg-icon-arrowstop-w{ background-position: 0 -648px; width: 22px; height: 22px; } 
+
+.pwg-icon-apropos{ background-position: 0 0; width: 22px; height: 22px; } 
+.pwg-icon-arrow-e{ background-position: 0 -72px; width: 22px; height: 22px; } 
+.pwg-icon-arrow-n{ background-position: 0 -216px; width: 22px; height: 22px; } 
+.pwg-icon-arrow-w{ background-position: 0 -288px; width: 22px; height: 22px; } 
+.pwg-icon-arrowstop-e{ background-position: 0 -432px; width: 22px; height: 22px; } 
+.pwg-icon-arrowstop-w{ background-position: 0 -576px; width: 22px; height: 22px; } 
+
+.pwg-icon-caddie-add{ background-position: 0 -720px; width: 24px; height: 24px; } 
+.pwg-icon-calendar{ background-position: 0 -794px; width: 22px; height: 22px; } 
+.pwg-icon-camera-calendar{ background-position: 0 -866px; width: 24px; height: 24px; } 
+.pwg-icon-camera-info{ background-position: 0 -940px; width: 22px; height: 22px; } 
+.pwg-icon-category-edit{ background-position: 0 -1012px; width: 22px; height: 22px; } 
+.pwg-icon-category-view-flat{ background-position: 0 -1084px; width: 22px; height: 22px; } 
+.pwg-icon-category-view-normal{ background-position: 0 -1156px; width: 22px; height: 22px; } 
+.pwg-icon-chat{ background-position: 0 -1228px; width: 22px; height: 22px; } 
+.pwg-icon-clock-minus{ background-position: 0 -1300px; width: 22px; height: 22px; } 
+.pwg-icon-clock-plus{ background-position: 0 -1372px; width: 22px; height: 22px; } 
+.pwg-icon-close{ background-position: 0 -1444px; width: 24px; height: 24px; } 
+.pwg-icon-cloud{ background-position: 0 -1518px; width: 22px; height: 22px; } 
+.pwg-icon-edit{ background-position: 0 -1590px; width: 22px; height: 22px; } 
+.pwg-icon-favorite-add{ background-position: 0 -1662px; width: 22px; height: 22px; } 
+.pwg-icon-favorite-del{ background-position: 0 -1734px; width: 22px; height: 22px; } 
+.pwg-icon-help{ background-position: 0 -1806px; width: 22px; height: 22px; } 
+.pwg-icon-home{ background-position: 0 -1878px; width: 22px; height: 22px; } 
+.pwg-icon-letters{ background-position: -74px 0; width: 22px; height: 22px; } 
+.pwg-icon-lost-password{ background-position: -74px -72px; width: 24px; height: 24px; } 
+.pwg-icon-pause{ background-position: -74px -146px; width: 22px; height: 22px; } 
+.pwg-icon-play{ background-position: -74px -218px; width: 22px; height: 22px; } 
+.pwg-icon-register{ background-position: -74px -290px; width: 24px; height: 24px; } 
+.pwg-icon-repeat-play{ background-position: -74px -364px; width: 22px; height: 22px; } 
+.pwg-icon-repeat-stop{ background-position: -74px -436px; width: 22px; height: 22px; } 
+.pwg-icon-representative{ background-position: -74px -508px; width: 22px; height: 22px; } 
+.pwg-icon-rss{ background-position: -74px -580px; width: 22px; height: 22px; } 
+.pwg-icon-save{ background-position: -74px -652px; width: 24px; height: 24px; } 
+.pwg-icon-search{ background-position: -74px -726px; width: 22px; height: 22px; } 
+.pwg-icon-slideshow{ background-position: -74px -798px; width: 22px; height: 22px; } 
+.pwg-icon-small_resizable{ background-position: -74px -870px; width: 16px; height: 16px; } 
+.pwg-icon-stop{ background-position: -74px -936px; width: 22px; height: 22px; } 
+.pwg-icon-tag{ background-position: -74px -1008px; width: 22px; height: 22px; } 
+.pwg-icon-upload{ background-position: -74px -1080px; width: 22px; height: 22px; } 
Index: extensions/floPure/Pure_default/language/en_UK/about.html
===================================================================
--- extensions/floPure/Pure_default/language/en_UK/about.html	(revision 9716)
+++ extensions/floPure/Pure_default/language/en_UK/about.html	(revision 9716)
@@ -0,0 +1,7 @@
+<br />
+
+<p>The theme used on this gallery was made <a href="http://fr.gravatar.com/flop25">by Flop25</a></p>
+
+<p id="linkToPiwigo"><a href="http://www.planete-flop.fr/">Visit his website</a></p>
+<br />
+
Index: extensions/floPure/Pure_default/language/en_UK/index.php
===================================================================
--- extensions/floPure/Pure_default/language/en_UK/index.php	(revision 9716)
+++ extensions/floPure/Pure_default/language/en_UK/index.php	(revision 9716)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/floPure/Pure_default/language/fr_FR/about.html
===================================================================
--- extensions/floPure/Pure_default/language/fr_FR/about.html	(revision 9716)
+++ extensions/floPure/Pure_default/language/fr_FR/about.html	(revision 9716)
@@ -0,0 +1,3 @@
+<p>Le thème utilisé sur cette galerie a été fait <a href="http://fr.gravatar.com/flop25">par Flop25</a></p>
+
+<p id="linkToPiwigo"><a href="http://www.planete-flop.fr/">Visitez son site</a></p>
Index: extensions/floPure/Pure_default/language/fr_FR/index.php
===================================================================
--- extensions/floPure/Pure_default/language/fr_FR/index.php	(revision 9716)
+++ extensions/floPure/Pure_default/language/fr_FR/index.php	(revision 9716)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2011 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: extensions/floPure/Pure_default/theme.css
===================================================================
--- extensions/floPure/Pure_default/theme.css	(revision 9678)
+++ extensions/floPure/Pure_default/theme.css	(revision 9716)
@@ -1,2 +1,11 @@
+/* ---------------------------------------------------------------------------
+Theme Pure_default 
+
+child-theme of Pure_default
+
+by flop25 http://www.planete-flop.fr/
+------------------------------------------------------------------------------ */
+
+@import "iconset.css";
 
 /* positionnement */