Index: extensions/autoupdate/trunk/language/ar_SA/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/ar_SA/plugin.lang.php	(revision 9719)
+++ extensions/autoupdate/trunk/language/ar_SA/plugin.lang.php	(revision 9721)
@@ -47,3 +47,4 @@
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
 /*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
+/*TODO*/$lang['Update in progress...'] = 'Update in progress...';
 ?>
Index: extensions/autoupdate/trunk/language/cs_CZ/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/cs_CZ/plugin.lang.php	(revision 9719)
+++ extensions/autoupdate/trunk/language/cs_CZ/plugin.lang.php	(revision 9721)
@@ -47,3 +47,4 @@
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
 /*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
+/*TODO*/$lang['Update in progress...'] = 'Update in progress...';
 ?>
Index: extensions/autoupdate/trunk/language/da_DK/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/da_DK/plugin.lang.php	(revision 9719)
+++ extensions/autoupdate/trunk/language/da_DK/plugin.lang.php	(revision 9721)
@@ -47,3 +47,4 @@
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
 /*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
+/*TODO*/$lang['Update in progress...'] = 'Update in progress...';
 ?>
Index: extensions/autoupdate/trunk/language/de_DE/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/de_DE/plugin.lang.php	(revision 9719)
+++ extensions/autoupdate/trunk/language/de_DE/plugin.lang.php	(revision 9721)
@@ -47,3 +47,4 @@
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
 /*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
+/*TODO*/$lang['Update in progress...'] = 'Update in progress...';
 ?>
Index: extensions/autoupdate/trunk/language/en_UK/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/en_UK/plugin.lang.php	(revision 9719)
+++ extensions/autoupdate/trunk/language/en_UK/plugin.lang.php	(revision 9721)
@@ -46,4 +46,5 @@
 $lang['Click here to see upgrades'] = 'Click here to see upgrades';
 $lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
-/*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
+$lang['All extensions are up to date.'] = 'All extensions are up to date.';
+$lang['Update in progress...'] = 'Update in progress...';
 ?>
Index: extensions/autoupdate/trunk/language/es_ES/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/es_ES/plugin.lang.php	(revision 9719)
+++ extensions/autoupdate/trunk/language/es_ES/plugin.lang.php	(revision 9721)
@@ -47,3 +47,4 @@
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
 /*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
+/*TODO*/$lang['Update in progress...'] = 'Update in progress...';
 ?>
Index: extensions/autoupdate/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/fr_FR/plugin.lang.php	(revision 9719)
+++ extensions/autoupdate/trunk/language/fr_FR/plugin.lang.php	(revision 9721)
@@ -47,3 +47,4 @@
 $lang['Gallery and extensions are up to date'] = 'Votre galerie et les extensions sont à jour';
 $lang['All extensions are up to date.'] = 'Toutes les extensions sont à jour.';
+$lang['Update in progress...'] = 'Mise à jour en cours...';
 ?>
Index: extensions/autoupdate/trunk/language/hr_HR/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/hr_HR/plugin.lang.php	(revision 9719)
+++ extensions/autoupdate/trunk/language/hr_HR/plugin.lang.php	(revision 9721)
@@ -47,3 +47,4 @@
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
 /*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
+/*TODO*/$lang['Update in progress...'] = 'Update in progress...';
 ?>
Index: extensions/autoupdate/trunk/language/hu_HU/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/hu_HU/plugin.lang.php	(revision 9719)
+++ extensions/autoupdate/trunk/language/hu_HU/plugin.lang.php	(revision 9721)
@@ -48,3 +48,4 @@
 $lang['Gallery and extensions are up to date'] = 'A galéria és a bővítmények naprakészek';
 $lang['All extensions are up to date.'] = 'Az összes bővítmény naprakész.';
+/*TODO*/$lang['Update in progress...'] = 'Update in progress...';
 ?>
Index: extensions/autoupdate/trunk/language/it_IT/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/it_IT/plugin.lang.php	(revision 9719)
+++ extensions/autoupdate/trunk/language/it_IT/plugin.lang.php	(revision 9721)
@@ -47,3 +47,4 @@
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
 /*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
+/*TODO*/$lang['Update in progress...'] = 'Update in progress...';
 ?>
Index: extensions/autoupdate/trunk/language/ja_JP/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/ja_JP/plugin.lang.php	(revision 9719)
+++ extensions/autoupdate/trunk/language/ja_JP/plugin.lang.php	(revision 9721)
@@ -47,3 +47,4 @@
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
 /*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
+/*TODO*/$lang['Update in progress...'] = 'Update in progress...';
 ?>
Index: extensions/autoupdate/trunk/language/ka_GE/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/ka_GE/plugin.lang.php	(revision 9719)
+++ extensions/autoupdate/trunk/language/ka_GE/plugin.lang.php	(revision 9721)
@@ -48,3 +48,4 @@
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
 /*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
+/*TODO*/$lang['Update in progress...'] = 'Update in progress...';
 ?>
Index: extensions/autoupdate/trunk/language/lv_LV/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/lv_LV/plugin.lang.php	(revision 9719)
+++ extensions/autoupdate/trunk/language/lv_LV/plugin.lang.php	(revision 9721)
@@ -47,3 +47,4 @@
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
 /*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
+/*TODO*/$lang['Update in progress...'] = 'Update in progress...';
 ?>
Index: extensions/autoupdate/trunk/language/nl_NL/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/nl_NL/plugin.lang.php	(revision 9719)
+++ extensions/autoupdate/trunk/language/nl_NL/plugin.lang.php	(revision 9721)
@@ -47,3 +47,4 @@
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
 /*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
+/*TODO*/$lang['Update in progress...'] = 'Update in progress...';
 ?>
Index: extensions/autoupdate/trunk/language/no_NO/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/no_NO/plugin.lang.php	(revision 9719)
+++ extensions/autoupdate/trunk/language/no_NO/plugin.lang.php	(revision 9721)
@@ -46,3 +46,4 @@
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
 /*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
+/*TODO*/$lang['Update in progress...'] = 'Update in progress...';
 ?>
Index: extensions/autoupdate/trunk/language/pl_PL/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/pl_PL/plugin.lang.php	(revision 9719)
+++ extensions/autoupdate/trunk/language/pl_PL/plugin.lang.php	(revision 9721)
@@ -47,3 +47,4 @@
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
 /*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
+/*TODO*/$lang['Update in progress...'] = 'Update in progress...';
 ?>
Index: extensions/autoupdate/trunk/language/pt_PT/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/pt_PT/plugin.lang.php	(revision 9719)
+++ extensions/autoupdate/trunk/language/pt_PT/plugin.lang.php	(revision 9721)
@@ -47,3 +47,4 @@
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
 /*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
+/*TODO*/$lang['Update in progress...'] = 'Update in progress...';
 ?>
Index: extensions/autoupdate/trunk/language/ru_RU/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/ru_RU/plugin.lang.php	(revision 9719)
+++ extensions/autoupdate/trunk/language/ru_RU/plugin.lang.php	(revision 9721)
@@ -47,3 +47,4 @@
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
 /*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
+/*TODO*/$lang['Update in progress...'] = 'Update in progress...';
 ?>
Index: extensions/autoupdate/trunk/language/sk_SK/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/sk_SK/plugin.lang.php	(revision 9719)
+++ extensions/autoupdate/trunk/language/sk_SK/plugin.lang.php	(revision 9721)
@@ -47,3 +47,4 @@
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
 /*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
+/*TODO*/$lang['Update in progress...'] = 'Update in progress...';
 ?>
Index: extensions/autoupdate/trunk/language/vi_VN/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/vi_VN/plugin.lang.php	(revision 9719)
+++ extensions/autoupdate/trunk/language/vi_VN/plugin.lang.php	(revision 9721)
@@ -47,3 +47,4 @@
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
 /*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
+/*TODO*/$lang['Update in progress...'] = 'Update in progress...';
 ?>
Index: extensions/autoupdate/trunk/language/zh_CN/plugin.lang.php
===================================================================
--- extensions/autoupdate/trunk/language/zh_CN/plugin.lang.php	(revision 9719)
+++ extensions/autoupdate/trunk/language/zh_CN/plugin.lang.php	(revision 9721)
@@ -47,3 +47,4 @@
 /*TODO*/$lang['Gallery and extensions are up to date'] = 'Gallery and extensions are up to date';
 /*TODO*/$lang['All extensions are up to date.'] = 'All extensions are up to date.';
+/*TODO*/$lang['Update in progress...'] = 'Update in progress...';
 ?>
Index: extensions/autoupdate/trunk/template/autoupdate.js
===================================================================
--- extensions/autoupdate/trunk/template/autoupdate.js	(revision 9719)
+++ extensions/autoupdate/trunk/template/autoupdate.js	(revision 9721)
@@ -56,4 +56,5 @@
 
 function upgradeExtension(type, id, revision) {
+  jQuery('.autoupdate_bar').toggle();
   jQuery.ajax({
     type: 'POST',
@@ -86,4 +87,5 @@
         extList = [];
       }
+      jQuery('.autoupdate_bar').toggle();
     },
     error: function(data) {
@@ -97,4 +99,5 @@
       );
       extList = [];
+      jQuery('.autoupdate_bar').toggle();
     },
     dataType: 'json'
Index: extensions/autoupdate/trunk/template/update_ext.tpl
===================================================================
--- extensions/autoupdate/trunk/template/update_ext.tpl	(revision 9719)
+++ extensions/autoupdate/trunk/template/update_ext.tpl	(revision 9721)
@@ -29,7 +29,11 @@
 </div>
 
-<div>
+<div class="autoupdate_bar">
+<br>
 <input type="button" id="update_all" value="{'autoupdate_update_all'|@translate}" onClick="updateAll();">
 <input type="button" id="reset_ignore" value="{'autoupdate_reset_ignore'|@translate}" onClick="resetIgnored();" {if !$SHOW_RESET}style="display:none;"{/if}>
+</div>
+<div class="autoupdate_bar" style="display:none;">
+{'Update in progress...'|@translate}<br><img src="plugins/autoupdate/template/ajax-loader-bar.gif">
 </div>
 