Index: /extensions/autoupdate/trunk/ajax/check_updates.php
===================================================================
--- /extensions/autoupdate/trunk/ajax/check_updates.php	(revision 9728)
+++ /extensions/autoupdate/trunk/ajax/check_updates.php	(revision 9729)
@@ -5,4 +5,6 @@
 include_once( PHPWG_ROOT_PATH.'include/common.inc.php' );
 include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');
+include_once(AUTOUPDATE_PATH.'include/autoupdate.class.php');
+$autoupdate = new autoupdate();
 
 check_status(ACCESS_ADMINISTRATOR);
@@ -12,15 +14,14 @@
 header('Content-Type: text/html; charset=UTF-8');
 
+function autoupdate_error()
+{
+  unset($_SESSION['extensions_need_update']);
+  echo 'error';
+  exit;
+}
+
 if (!isset($_SESSION['need_update']))
 {
-  $_SESSION['need_update'] = null;
-
-  if (preg_match('/(\d+\.\d+)\.(\d+)/', PHPWG_VERSION, $matches)
-    and @fetchRemote(PHPWG_URL.'/download/all_versions.php', $result))
-  {
-    $all_versions = @explode("\n", $result);
-    $new_version = trim($all_versions[0]);
-    $_SESSION['need_update'] = version_compare(PHPWG_VERSION, $new_version, '<');
-  }
+  $autoupdate->check_piwigo_upgrade();
 }
 
@@ -31,70 +32,20 @@
 else
 {
-  // Gallery is up to date
-  // Check plugins upgrade
-  include_once(PHPWG_ROOT_PATH.'admin/include/plugins.class.php');
-  include_once(PHPWG_ROOT_PATH.'admin/include/themes.class.php');
-  include_once(PHPWG_ROOT_PATH.'admin/include/languages.class.php');
-  $plugins = new plugins();
-  $themes = new themes();
-  $languages = new languages();
-
+  // Gallery is up to date -> check extensions
   if (!isset($_SESSION['extensions_need_update']))
   {
-    $_SESSION['extensions_need_update'] = array();
-    autoupdate_check_plugins_upgrade($plugins);
-    autoupdate_check_themes_upgrade($themes);
-    autoupdate_check_languages_upgrade($languages);
+    $autoupdate->check_extensions();
   }
   else
   {
-    if (!empty($_SESSION['extensions_need_update']['plugins']))
-    {
-      // Check if plugins have been upgraded since last check
-      foreach($plugins->fs_plugins as $plugin_id => $fs_plugin)
-      {
-        if (isset($_SESSION['extensions_need_update']['plugins'][$plugin_id])
-          and $plugins->plugin_version_compare($fs_plugin['version'], $_SESSION['extensions_need_update']['plugins'][$plugin_id]))
-        {
-          // Plugin have been updated
-          autoupdate_check_plugins_upgrade($plugins);
-        }
-      }
-    }
-    if (!empty($_SESSION['extensions_need_update']['themes']))
-    {
-      // Check if themes have been upgraded since last check
-      foreach($themes->fs_themes as $theme_id => $fs_theme)
-      {
-        if (isset($_SESSION['extensions_need_update']['themes'][$theme_id])
-          and $themes->theme_version_compare($fs_theme['version'], $_SESSION['extensions_need_update']['themes'][$theme_id]))
-        {
-          // theme have been updated
-          autoupdate_check_themes_upgrade($themes);
-        }
-      }
-    }
-    if (!empty($_SESSION['extensions_need_update']['languages']))
-    {
-      // Check if languages have been upgraded since last check
-      foreach($languages->fs_languages as $language_id => $fs_language)
-      {
-        if (isset($_SESSION['extensions_need_update']['languages'][$language_id])
-          and $languages->language_version_compare($fs_language['version'], $_SESSION['extensions_need_update']['languages'][$language_id]))
-        {
-          // language have been updated
-          autoupdate_check_languages_upgrade($languages);
-        }
-      }
-    }
-  }
-
-  if (!empty($_SESSION['extensions_need_update']))
-  {
-    echo 'ext_upgrade'; exit;
+    $autoupdate->check_updated_extensions();
   }
 }
 
-if ($_SESSION['need_update'] === false and $_SESSION['extensions_need_update'] === array())
+if (!empty($_SESSION['extensions_need_update']))
+{
+  echo 'ext_upgrade'; exit;
+}
+elseif ($_SESSION['need_update'] === false and $_SESSION['extensions_need_update'] === array())
 {
   echo 'up_to_date'; exit;
@@ -105,118 +56,3 @@
 }
 
-function autoupdate_check_plugins_upgrade($plugins)
-{
-  global $conf;
-
-  if (!$plugins->get_server_plugins())
-  {
-    autoupdate_error();
-  }
-
-  $plugins_ignore_list = array();
-  $need_upgrade = array();
-
-  foreach($plugins->fs_plugins as $plugin_id => $fs_plugin)
-  {
-    if (isset($fs_plugin['extension']) and isset($plugins->server_plugins[$fs_plugin['extension']]))
-    {
-      $plugin_info = $plugins->server_plugins[$fs_plugin['extension']];
-
-      if (!$plugins->plugin_version_compare($fs_plugin['version'], $plugin_info['revision_name']))
-      {
-        if (in_array($plugin_id, $conf['AU_ignore']['plugins']))
-        {
-          array_push($plugins_ignore_list, $plugin_id);
-        }
-        else
-        {
-          $_SESSION['extensions_need_update']['plugins'][$plugin_id] = $plugin_info['revision_name'];
-        }
-      }
-    }
-  }
-
-  $conf['AU_ignore']['plugins'] = $plugins_ignore_list;
-  conf_update_param('autoupdate_ignore_list', pwg_db_real_escape_string(serialize($conf['AU_ignore'])));
-}
-
-function autoupdate_check_themes_upgrade($themes)
-{
-  global $conf;
-
-  if (!$themes->get_server_themes())
-  {
-    autoupdate_error();
-  }
-  
-  $themes_ignore_list = array();
-  $need_upgrade = array();
-
-  foreach($themes->fs_themes as $theme_id => $fs_theme)
-  {
-    if (isset($fs_theme['extension']) and isset($themes->server_themes[$fs_theme['extension']]))
-    {
-      $theme_info = $themes->server_themes[$fs_theme['extension']];
-
-      if (!$themes->theme_version_compare($fs_theme['version'], $theme_info['revision_name']))
-      {
-        if (in_array($theme_id, $conf['AU_ignore']['theme']))
-        {
-          array_push($themes_ignore_list, $theme_id);
-        }
-        else
-        {
-          $_SESSION['extensions_need_update']['themes'][$theme_id] = $theme_info['revision_name'];
-        }
-      }
-    }
-  }
-
-  $conf['AU_ignore']['themes'] = $themes_ignore_list;
-  conf_update_param('autoupdate_ignore_list', pwg_db_real_escape_string(serialize($conf['AU_ignore'])));
-}
-
-function autoupdate_check_languages_upgrade($languages)
-{
-  global $conf;
-
-  if (!$languages->get_server_languages())
-  {
-    autoupdate_error();
-  }
-
-  $languages_ignore_list = array();
-  $need_upgrade = array();
-
-  foreach($languages->fs_languages as $language_id => $fs_language)
-  {
-    if (isset($fs_language['extension']) and isset($languages->server_languages[$fs_language['extension']]))
-    {
-      $language_info = $languages->server_languages[$fs_language['extension']];
-
-      if (!$languages->language_version_compare($fs_language['version'], $language_info['revision_name']))
-      {
-        if (in_array($language_id, $conf['AU_ignore']['languages']))
-        {
-          array_push($languages_ignore_list, $language_id);
-        }
-        else
-        {
-          $_SESSION['extensions_need_update']['languages'][$language_id] = $language_info['revision_name'];
-        }
-      }
-    }
-  }
-
-  $conf['AU_ignore']['languages'] = $languages_ignore_list;
-  conf_update_param('autoupdate_ignore_list', pwg_db_real_escape_string(serialize($conf['AU_ignore'])));
-}
-
-function autoupdate_error()
-{
-  $_SESSION['extensions_need_update'] = null;
-  
-  echo 'error'; exit;
-}
-
 ?>
Index: /extensions/autoupdate/trunk/include/autoupdate.class.php
===================================================================
--- /extensions/autoupdate/trunk/include/autoupdate.class.php	(revision 9729)
+++ /extensions/autoupdate/trunk/include/autoupdate.class.php	(revision 9729)
@@ -0,0 +1,199 @@
+<?php
+
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+class autoupdate
+{
+  var $types = array();
+  var $plugins;
+  var $themes;
+  var $languages;
+
+  function autoupdate()
+  {
+    $this->types = array('plugins', 'themes', 'languages');
+
+    foreach ($this->types as $type)
+    {
+      include_once(PHPWG_ROOT_PATH.'admin/include/'.$type.'.class.php');
+      $this->$type = new $type();
+    }
+  }
+
+  function check_piwigo_upgrade()
+  {
+    $_SESSION['need_update'] = null;
+
+    if (preg_match('/(\d+\.\d+)\.(\d+)/', PHPWG_VERSION, $matches)
+      and @fetchRemote(PHPWG_URL.'/download/all_versions.php', $result))
+    {
+      $all_versions = @explode("\n", $result);
+      $new_version = trim($all_versions[0]);
+      $_SESSION['need_update'] = version_compare(PHPWG_VERSION, $new_version, '<');
+    }
+  }
+
+  function get_server_extensions()
+  {
+    global $user;
+
+    $get_data = array(
+      'format' => 'php',
+    );
+
+    // Retrieve PEM versions
+    $version = PHPWG_VERSION;
+    $versions_to_check = array();
+    $url = PEM_URL . '/api/get_version_list.php';
+    if (fetchRemote($url, $result, $get_data) and $pem_versions = @unserialize($result))
+    {
+      if (!preg_match('/^\d+\.\d+\.\d+/', $version))
+      {
+        $version = $pem_versions[0]['name'];
+      }
+      $branch = substr($version, 0, strrpos($version, '.'));
+      foreach ($pem_versions as $pem_version)
+      {
+        if (strpos($pem_version['name'], $branch) === 0)
+        {
+          $versions_to_check[] = $pem_version['id'];
+        }
+      }
+    }
+    if (empty($versions_to_check))
+    {
+      return false;
+    }
+
+    // Extensionss to check
+    $ext_to_check = array();
+    foreach ($this->types as $type)
+    {
+      $ext_to_check[$type] = array();
+      $fs = 'fs_'.$type;
+      foreach ($this->$type->$fs as $ext)
+      {
+        if (isset($ext['extension']))
+        {
+          $ext_to_check[$type][] = $ext['extension'];
+        }
+      }
+    }
+
+    // Retrieve PEM plugins infos
+    $url = PEM_URL . '/api/get_revision_list.php';
+    $get_data = array_merge($get_data, array(
+      'last_revision_only' => 'true',
+      'version' => implode(',', $versions_to_check),
+      'lang' => substr($user['language'], 0, 2),
+      'get_nb_downloads' => 'true',
+      )
+    );
+
+    if (!empty($ext_to_check))
+    {
+      $extensions = array_merge($ext_to_check['plugins'], $ext_to_check['themes'], $ext_to_check['languages']);
+      $get_data['extension_include'] = implode(',', $extensions);
+    }
+
+    if (fetchRemote($url, $result, $get_data))
+    {
+      $pem_exts = @unserialize($result);
+      if (!is_array($pem_exts))
+      {
+        return false;
+      }
+      foreach ($pem_exts as $ext)
+      {
+        foreach ($this->types as $type)
+        {
+          if (in_array($ext['extension_id'], $ext_to_check[$type]))
+          {
+            $server = 'server_'.$type;
+            $this->$type->$server += array($ext['extension_id'] => $ext);
+            break;
+          }
+        }
+      }
+      return true;
+    }
+    return false;
+  }
+
+  // Check all extensions upgrades
+  function check_extensions()
+  {
+    global $conf;
+
+    if (!$this->get_server_extensions())
+    {
+      autoupdate_error();
+    }
+
+    $_SESSION['extensions_need_update'] = array();
+
+    foreach ($this->types as $type)
+    {
+      $fs = 'fs_'.$type;
+      $server = 'server_'.$type;
+      $server_ext = $this->$type->$server;
+      $fs_ext = $this->$type->$fs;
+
+      $ignore_list = array();
+      $need_upgrade = array();
+
+      foreach($fs_ext as $ext_id => $fs_ext)
+      {
+        if (isset($fs_ext['extension']) and isset($server_ext[$fs_ext['extension']]))
+        {
+          $ext_info = $server_ext[$fs_ext['extension']];
+
+          if (!$this->version_compare($fs_ext['version'], $ext_info['revision_name'], $type))
+          {
+            if (in_array($ext_id, $conf['AU_ignore'][$type]))
+            {
+              array_push($ignore_list, $ext_id);
+            }
+            else
+            {
+              $_SESSION['extensions_need_update'][$type][$ext_id] = $ext_info['revision_name'];
+            }
+          }
+        }
+      }
+      $conf['AU_ignore'][$type] = $ignore_list;
+    }
+    conf_update_param('autoupdate_ignore_list', pwg_db_real_escape_string(serialize($conf['AU_ignore'])));
+  }
+
+  // Check if extension have been upgraded since last check
+  function check_updated_extensions()
+  {
+    foreach ($this->types as $type)
+    {
+      if (!empty($_SESSION['extensions_need_update'][$type]))
+      {
+        $fs = 'fs_'.$type;
+        foreach($this->$type->$fs as $ext_id => $fs_ext)
+        {
+          if (isset($_SESSION['extensions_need_update'][$type][$ext_id])
+            and $this->version_compare($fs_ext['version'], $_SESSION['extensions_need_update'][$type][$ext_id], $type))
+          {
+            // Extension have been upgraded
+            $this->check_extensions();
+            break;
+          }
+        }
+      }
+    }
+  }
+
+  function version_compare($a, $b, $type)
+  {
+    $version_compare = rtrim($type, 's').'_version_compare';
+
+    return $this->$type->$version_compare($a, $b);
+  }
+}
+
+?>
Index: /extensions/autoupdate/trunk/template/update_ext.tpl
===================================================================
--- /extensions/autoupdate/trunk/template/update_ext.tpl	(revision 9728)
+++ /extensions/autoupdate/trunk/template/update_ext.tpl	(revision 9729)
@@ -46,5 +46,5 @@
 <legend>{'Plugins which need upgrade'|@translate}</legend>
 {foreach from=$update_plugins item=plugin name=plugins_loop}
-<div class="pluginBox" id="plugin_{$plugin.PLUGIN_ID}" {if $plugin.IGNORED}style="display:none;"{/if}>
+<div class="pluginBox" id="plugin_{$plugin.EXT_ID}" {if $plugin.IGNORED}style="display:none;"{/if}>
   <table>
     <tr>
@@ -53,7 +53,7 @@
       </td>
       <td>
-        <a href="#" onClick="upgradeExtension('plugin', '{$plugin.PLUGIN_ID}', {$plugin.REVISION_ID});" class="updateExtension">{'Install'|@translate}</a>
+        <a href="#" onClick="upgradeExtension('plugin', '{$plugin.EXT_ID}', {$plugin.REVISION_ID});" class="updateExtension">{'Install'|@translate}</a>
         | <a href="{$plugin.URL_DOWNLOAD}">{'Download'|@translate}</a>
-        | <a href="#" onClick="ignoreExtension('plugin', '{$plugin.PLUGIN_ID}');">{'autoupdate_ignore'|@translate}</a>
+        | <a href="#" onClick="ignoreExtension('plugin', '{$plugin.EXT_ID}');">{'autoupdate_ignore'|@translate}</a>
       </td>
     </tr>
@@ -88,5 +88,5 @@
 <legend>{'Themes which need upgrade'|@translate}</legend>
 {foreach from=$update_themes item=theme name=themes_loop}
-<div class="pluginBox" id="theme_{$theme.THEME_ID}" {if $theme.IGNORED}style="display:none;"{/if}>
+<div class="pluginBox" id="theme_{$theme.EXT_ID}" {if $theme.IGNORED}style="display:none;"{/if}>
   <table>
     <tr>
@@ -95,7 +95,7 @@
       </td>
       <td>
-        <a href="#" onClick="upgradeExtension('theme', '{$theme.THEME_ID}', {$theme.REVISION_ID});" class="updateExtension">{'Install'|@translate}</a>
+        <a href="#" onClick="upgradeExtension('theme', '{$theme.EXT_ID}', {$theme.REVISION_ID});" class="updateExtension">{'Install'|@translate}</a>
         | <a href="{$theme.URL_DOWNLOAD}">{'Download'|@translate}</a>
-        | <a href="#" onClick="ignoreExtension('theme', '{$theme.THEME_ID}');">{'autoupdate_ignore'|@translate}</a>
+        | <a href="#" onClick="ignoreExtension('theme', '{$theme.EXT_ID}');">{'autoupdate_ignore'|@translate}</a>
       </td>
     </tr>
@@ -130,5 +130,5 @@
 <legend>{'Languages which need upgrade'|@translate}</legend>
 {foreach from=$update_languages item=language name=languages_loop}
-<div class="pluginBox" id="language_{$language.LANGUAGE_ID}" {if $language.IGNORED}style="display:none;"{/if}>
+<div class="pluginBox" id="language_{$language.EXT_ID}" {if $language.IGNORED}style="display:none;"{/if}>
   <table>
     <tr>
@@ -137,7 +137,7 @@
       </td>
       <td>
-        <a href="#" onClick="upgradeExtension('language', '{$language.LANGUAGE_ID}', {$language.REVISION_ID});" class="updateExtension">{'Install'|@translate}</a>
+        <a href="#" onClick="upgradeExtension('language', '{$language.EXT_ID}', {$language.REVISION_ID});" class="updateExtension">{'Install'|@translate}</a>
         | <a href="{$language.URL_DOWNLOAD}">{'Download'|@translate}</a>
-        | <a href="#" onClick="ignoreExtension('language', '{$language.LANGUAGE_ID}');">{'autoupdate_ignore'|@translate}</a>
+        | <a href="#" onClick="ignoreExtension('language', '{$language.EXT_ID}');">{'autoupdate_ignore'|@translate}</a>
       </td>
     </tr>
Index: /extensions/autoupdate/trunk/update_ext.inc.php
===================================================================
--- /extensions/autoupdate/trunk/update_ext.inc.php	(revision 9728)
+++ /extensions/autoupdate/trunk/update_ext.inc.php	(revision 9729)
@@ -3,34 +3,47 @@
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
-// Plugins
-include_once(PHPWG_ROOT_PATH.'admin/include/plugins.class.php');
-$plugins = new plugins();
-$update_plugins = array();
-if ($plugins->get_server_plugins())
+include_once(AUTOUPDATE_PATH.'include/autoupdate.class.php');
+$autoupdate = new autoupdate();
+
+if (!$autoupdate->get_server_extensions())
 {
-  foreach($plugins->fs_plugins as $plugin_id => $fs_plugin)
+  array_push($page['errors'], l10n('Can\'t connect to server.'));
+  return;
+}
+
+foreach ($autoupdate->types as $type)
+{
+  $fs = 'fs_'.$type;
+  $server = 'server_'.$type;
+  $server_ext = $autoupdate->$type->$server;
+  $fs_ext = $autoupdate->$type->$fs;
+
+  if (!empty($server_ext))
   {
-    if (isset($fs_plugin['extension'])
-      and isset($plugins->server_plugins[$fs_plugin['extension']]))
+    foreach($fs_ext as $ext_id => $fs_ext)
     {
-      $plugin_info = $plugins->server_plugins[$fs_plugin['extension']];
+      if (isset($fs_ext['extension']) and isset($server_ext[$fs_ext['extension']]))
+      {
+        $ext_info = $server_ext[$fs_ext['extension']];
 
-      if (!$plugins->plugin_version_compare($fs_plugin['version'], $plugin_info['revision_name']))
-      {
-        $update_plugins[] = array(
-          'ID' => $plugin_info['extension_id'],
-          'PLUGIN_ID' => $plugin_id,
-          'REVISION_ID' => $plugin_info['revision_id'],
-          'EXT_NAME' => $fs_plugin['name'],
-          'EXT_URL' => PEM_URL.'/extension_view.php?eid='.$plugin_info['extension_id'],
-          'EXT_DESC' => trim($plugin_info['extension_description'], " \n\r"),
-          'REV_DESC' => trim($plugin_info['revision_description'], " \n\r"),
-          'CURRENT_VERSION' => $fs_plugin['version'],
-          'NEW_VERSION' => $plugin_info['revision_name'],
-          'AUTHOR' => $plugin_info['author_name'],
-          'DOWNLOADS' => $plugin_info['extension_nb_downloads'],
-          'URL_DOWNLOAD' => $plugin_info['download_url'] . '&amp;origin=piwigo_download',
-          'IGNORED' => in_array($plugin_id, $conf['AU_ignore']['plugins']),
-        );
+        if (!$autoupdate->version_compare($fs_ext['version'], $ext_info['revision_name'], $type))
+        {
+          $template->append('update_'.$type, array(
+            'ID' => $ext_info['extension_id'],
+            'REVISION_ID' => $ext_info['revision_id'],
+            'EXT_ID' => $ext_id,
+            'EXT_NAME' => $fs_ext['name'],
+            'EXT_URL' => PEM_URL.'/extension_view.php?eid='.$ext_info['extension_id'],
+            'EXT_DESC' => trim($ext_info['extension_description'], " \n\r"),
+            'REV_DESC' => trim($ext_info['revision_description'], " \n\r"),
+            'CURRENT_VERSION' => $fs_ext['version'],
+            'NEW_VERSION' => $ext_info['revision_name'],
+            'AUTHOR' => $ext_info['author_name'],
+            'DOWNLOADS' => $ext_info['extension_nb_downloads'],
+            'URL_DOWNLOAD' => $ext_info['download_url'] . '&amp;origin=piwigo_download',
+            'IGNORED' => in_array($ext_id, $conf['AU_ignore']['plugins']),
+            )
+          );
+        }
       }
     }
@@ -38,77 +51,4 @@
 }
 
-// Themes
-include_once(PHPWG_ROOT_PATH.'admin/include/themes.class.php');
-$themes = new themes();
-$update_themes = array();
-if ($themes->get_server_themes())
-{
-  foreach($themes->fs_themes as $theme_id => $fs_theme)
-  {
-    if (isset($fs_theme['extension'])
-      and isset($themes->server_themes[$fs_theme['extension']]))
-    {
-      $theme_info = $themes->server_themes[$fs_theme['extension']];
-
-      if (!$themes->theme_version_compare($fs_theme['version'], $theme_info['revision_name']))
-      {
-        $update_themes[] = array(
-          'ID' => $theme_info['extension_id'],
-          'THEME_ID' => $theme_id,
-          'REVISION_ID' => $theme_info['revision_id'],
-          'EXT_NAME' => $fs_theme['name'],
-          'EXT_URL' => PEM_URL.'/extension_view.php?eid='.$theme_info['extension_id'],
-          'EXT_DESC' => trim($theme_info['extension_description'], " \n\r"),
-          'REV_DESC' => trim($theme_info['revision_description'], " \n\r"),
-          'CURRENT_VERSION' => $fs_theme['version'],
-          'NEW_VERSION' => $theme_info['revision_name'],
-          'AUTHOR' => $theme_info['author_name'],
-          'DOWNLOADS' => $theme_info['extension_nb_downloads'],
-          'URL_DOWNLOAD' => $theme_info['download_url'] . '&amp;origin=piwigo_download',
-          'IGNORED' => in_array($theme_id, $conf['AU_ignore']['themes']),
-        );
-      }
-    }
-  }
-}
-
-// Languages
-include_once(PHPWG_ROOT_PATH.'admin/include/languages.class.php');
-$languages = new languages();
-$update_languages = array();
-if ($languages->get_server_languages())
-{
-  foreach($languages->fs_languages as $language_id => $fs_language)
-  {
-    if (isset($fs_language['extension'])
-      and isset($languages->server_languages[$fs_language['extension']]))
-    {
-      $language_info = $languages->server_languages[$fs_language['extension']];
-
-      if (!$languages->language_version_compare($fs_language['version'], $language_info['revision_name']))
-      {
-        $update_languages[] = array(
-          'ID' => $language_info['extension_id'],
-          'LANGUAGE_ID' => $language_id,
-          'REVISION_ID' => $language_info['revision_id'],
-          'EXT_NAME' => $fs_language['name'],
-          'EXT_URL' => PEM_URL.'/extension_view.php?eid='.$language_info['extension_id'],
-          'EXT_DESC' => trim($language_info['extension_description'], " \n\r"),
-          'REV_DESC' => trim($language_info['revision_description'], " \n\r"),
-          'CURRENT_VERSION' => $fs_language['version'],
-          'NEW_VERSION' => $language_info['revision_name'],
-          'AUTHOR' => $language_info['author_name'],
-          'DOWNLOADS' => $language_info['extension_nb_downloads'],
-          'URL_DOWNLOAD' => $language_info['download_url'] . '&amp;origin=piwigo_download',
-          'IGNORED' => in_array($language_id, $conf['AU_ignore']['languages']),
-        );
-      }
-    }
-  }
-}
-
-$template->assign('update_plugins', $update_plugins);
-$template->assign('update_themes', $update_themes);
-$template->assign('update_languages', $update_languages);
 $template->assign('SHOW_RESET', (!empty($conf['AU_ignore']['plugins']) or !empty($conf['AU_ignore']['themes']) or !empty($conf['AU_ignore']['languages'])));
 $template->assign('PWG_TOKEN', get_pwg_token());