Index: /extensions/PWG_Stuffs/trunk/admin/add_module.inc.php
===================================================================
--- /extensions/PWG_Stuffs/trunk/admin/add_module.inc.php	(revision 9736)
+++ /extensions/PWG_Stuffs/trunk/admin/add_module.inc.php	(revision 9737)
@@ -16,5 +16,5 @@
 
 // Save module
-if (isset($_POST['submit']) and !is_adviser())
+if (isset($_POST['submit']))
 {
   @include($module_path.'config.inc.php');
Index: /extensions/PWG_Stuffs/trunk/admin/manage.inc.php
===================================================================
--- /extensions/PWG_Stuffs/trunk/admin/manage.inc.php	(revision 9736)
+++ /extensions/PWG_Stuffs/trunk/admin/manage.inc.php	(revision 9737)
@@ -6,5 +6,5 @@
 
 // Delete module
-if (isset($_GET['del']) and !is_adviser())
+if (isset($_GET['del']))
 {
   pwg_query('DELETE FROM ' . STUFFS_TABLE . ' WHERE id = ' . $_GET['del'] . ' LIMIT 1;');
@@ -13,5 +13,5 @@
 
 // Save order
-if (isset($_POST['submitOrder']) and !is_adviser())
+if (isset($_POST['submitOrder']))
 {
   asort($_POST['position'], SORT_NUMERIC);
@@ -86,5 +86,5 @@
     'ID' => $module['id'],
     'U_EDIT' => PHPWG_ROOT_PATH . 'admin.php?page=plugin&amp;section=' . STUFFS_DIR . '%2Fadmin%2Fadmin.php&amp;tab=edit_module&amp;edit='.$module['id'],
-    'U_DELETE' => !is_adviser() ? PHPWG_ROOT_PATH . 'admin.php?page=plugin&amp;section=' . STUFFS_DIR . '%2Fadmin%2Fadmin.php&amp;del=' . $module['id'] : '',
+    'U_DELETE' => PHPWG_ROOT_PATH . 'admin.php?page=plugin&amp;section=' . STUFFS_DIR . '%2Fadmin%2Fadmin.php&amp;del=' . $module['id'],
     'MISSING' => $missing_message,
     )
Index: /extensions/PWG_Stuffs/trunk/admin/new.inc.php
===================================================================
--- /extensions/PWG_Stuffs/trunk/admin/new.inc.php	(revision 9736)
+++ /extensions/PWG_Stuffs/trunk/admin/new.inc.php	(revision 9737)
@@ -4,5 +4,5 @@
 
 //Ajout d'un module
-if (isset($_POST['addModule']) and !is_adviser())
+if (isset($_POST['addModule']))
 {
   if (!isset($_POST['module']))
Index: /extensions/PWG_Stuffs/trunk/admin/template/add_module.tpl
===================================================================
--- /extensions/PWG_Stuffs/trunk/admin/template/add_module.tpl	(revision 9736)
+++ /extensions/PWG_Stuffs/trunk/admin/template/add_module.tpl	(revision 9737)
@@ -1,3 +1,2 @@
-{known_script id="jquery" src=$ROOT_URL|@cat:"themes/default/js/jquery.packed.js"}
 {include file='include/autosize.inc.tpl'}
 {html_head}{literal}
@@ -96,4 +95,4 @@
 </fieldset>
 {/if}
-<p><input class="submit" type="submit" value="{'Submit'|@translate}" name="submit" {$TAG_INPUT_ENABLED}/></p>
+<p><input class="submit" type="submit" value="{'Submit'|@translate}" name="submit"/></p>
 </form>
Index: /extensions/PWG_Stuffs/trunk/admin/template/manage.tpl
===================================================================
--- /extensions/PWG_Stuffs/trunk/admin/template/manage.tpl	(revision 9736)
+++ /extensions/PWG_Stuffs/trunk/admin/template/manage.tpl	(revision 9737)
@@ -1,7 +1,3 @@
-{known_script id="jquery.ui" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.core.packed.js" }
-{known_script id="jquery.ui.sortable" src=$ROOT_URL|@cat:"themes/default/js/ui/packed/ui.sortable.packed.js" }
-
-{html_head}
-{literal}
+{html_head}{literal}
 <style type="text/css">
 #categoryOrdering li {
@@ -19,25 +15,28 @@
 }
 </style>
+{/literal}{/html_head}
+
+{footer_script require='jquery.ui.sortable}
+
+{literal}
+jQuery().ready(function(){
+  jQuery(".catPos").hide();
+  jQuery(".drag_button").show();
+  jQuery(".categoryLi").css("cursor","move");
+  jQuery(".categoryUl").sortable({
+    axis: "y",
+    opacity: 0.8
+  });
+  jQuery("#categoryOrdering").submit(function(){
+    ar = jQuery('.categoryUl').sortable('toArray');
+    for(i=0;i<ar.length;i++) {
+      module = ar[i].split('module_');
+      document.getElementsByName('position[' + module[1] + ']')[0].value = i;
+    }
+  });
+});
 {/literal}
-{/html_head}
 
-<script type="text/javascript">
-  jQuery().ready(function(){ldelim}
-    jQuery(".catPos").hide();
-    jQuery(".drag_button").show();
-    jQuery(".categoryLi").css("cursor","move");
-    jQuery(".categoryUl").sortable({ldelim}
-      axis: "y",
-      opacity: 0.8
-    });
-    jQuery("#categoryOrdering").submit(function(){ldelim}
-      ar = jQuery('.categoryUl').sortable('toArray');
-      for(i=0;i<ar.length;i++) {ldelim}
-        module = ar[i].split('module_');
-        document.getElementsByName('position[' + module[1] + ']')[0].value = i;
-      }
-    });
-  });
-</script>
+{/footer_script}
 
 <div class="titrePage">
@@ -98,5 +97,5 @@
   <p style="text-align: center;">
   <br />
-    <input class="submit" name="submitOrder" type="submit" value="{'Save order'|@translate}" {$TAG_INPUT_ENABLED} />
+    <input class="submit" name="submitOrder" type="submit" value="{'Save order'|@translate}" />
   </p>
 </form>
Index: /extensions/PWG_Stuffs/trunk/class.inc.php
===================================================================
--- /extensions/PWG_Stuffs/trunk/class.inc.php	(revision 9736)
+++ /extensions/PWG_Stuffs/trunk/class.inc.php	(revision 9737)
@@ -18,10 +18,18 @@
     {
       $this->prefixe = 'PLUGIN_PICTURE_';
-      $template->set_prefilter('header', array('stuffs', 'prefilter_picture_css'));
+      $template->func_combine_css(array(
+        'path' => 'plugins/PWG_Stuffs/theme/stuffs_picture.css',
+        ),
+        $smarty
+      );
       pwgs_picture_special_sections();
     }
     else
     {
-      $template->set_prefilter( 'header', array('stuffs', 'prefilter_index_css') );
+      $template->func_combine_css(array(
+        'path' => 'plugins/PWG_Stuffs/theme/stuffs_index.css',
+        ),
+        $smarty
+      );
     }
 
@@ -184,45 +192,4 @@
     $this->blocks[$this->pos][] = $block;
   }
-
-  static function prefilter_index_css($source, &$smarty)
-  {
-    $css = array(
-      '<link rel="stylesheet" type="text/css" href="{$ROOT_URL}plugins/'.STUFFS_DIR.'/theme/stuffs_index.css">'
-    );
-
-    foreach ($smarty->get_template_vars('themes') as $theme)
-    {
-      if (file_exists(PHPWG_THEMES_PATH.$theme['id'].'/stuffs_index.css'))
-      {
-        array_push($css, '<link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/'.$theme['id'].'/stuffs_index.css">');
-      }
-    }
-
-    $source = str_replace("\n</head>", "\n".implode( "\n", $css )."\n</head>", $source);
-
-    return $source;
-  }
-
-  static function prefilter_picture_css($source, &$smarty)
-  {
-    $css = array(
-      '<link rel="stylesheet" type="text/css" href="{$ROOT_URL}plugins/'.STUFFS_DIR.'/theme/stuffs_picture.css">'
-    );
-
-    foreach ($smarty->get_template_vars('themes') as $theme)
-    {
-      if (file_exists(PHPWG_THEMES_DIR.$theme['id'].'/stuffs_picture.css'))
-      {
-        array_push($css, '<link rel="stylesheet" type="text/css" href="{$ROOT_URL}themes/'.$theme['id'].'/stuffs_picture.css">');
-      }
-    }
-
-    if (!empty($css))
-    {
-      $source = str_replace("\n</head>", "\n".implode( "\n", $css )."\n</head>", $source);
-    }
-
-    return $source;
-  }
 }
 
Index: /extensions/PWG_Stuffs/trunk/modules/BestRated/config.inc.php
===================================================================
--- /extensions/PWG_Stuffs/trunk/modules/BestRated/config.inc.php	(revision 9736)
+++ /extensions/PWG_Stuffs/trunk/modules/BestRated/config.inc.php	(revision 9737)
@@ -12,5 +12,5 @@
 
 // Enregistrement de la configuration
-if (isset($_POST['submit']) and !is_adviser())
+if (isset($_POST['submit']))
 {
   $datas = array(
Index: /extensions/PWG_Stuffs/trunk/modules/Citation/config.inc.php
===================================================================
--- /extensions/PWG_Stuffs/trunk/modules/Citation/config.inc.php	(revision 9736)
+++ /extensions/PWG_Stuffs/trunk/modules/Citation/config.inc.php	(revision 9737)
@@ -14,5 +14,5 @@
 $available_languages = get_languages();
 // Save configuration
-if (isset($_POST['submit']) and !is_adviser()) {
+if (isset($_POST['submit'])) {
   $new_data = array();
   foreach (array_keys($available_languages) as $current_lang) {
Index: /extensions/PWG_Stuffs/trunk/modules/LastComs/config.inc.php
===================================================================
--- /extensions/PWG_Stuffs/trunk/modules/LastComs/config.inc.php	(revision 9736)
+++ /extensions/PWG_Stuffs/trunk/modules/LastComs/config.inc.php	(revision 9737)
@@ -5,5 +5,5 @@
 
 // Enregistrement de la configuration
-if (isset($_POST['submit']) and !is_adviser())
+if (isset($_POST['submit']))
 {
   if (empty($_POST['nb_comments']))
Index: /extensions/PWG_Stuffs/trunk/modules/LastComs/main.inc.php
===================================================================
--- /extensions/PWG_Stuffs/trunk/modules/LastComs/main.inc.php	(revision 9736)
+++ /extensions/PWG_Stuffs/trunk/modules/LastComs/main.inc.php	(revision 9737)
@@ -8,5 +8,5 @@
 // +-----------------------------------------------------------------------+
 // comments deletion
-if (isset($_GET['delete']) and is_numeric($_GET['delete']) and is_admin() and !is_adviser())
+if (isset($_GET['delete']) and is_numeric($_GET['delete']) and is_admin())
 {
     check_status(ACCESS_ADMINISTRATOR);
@@ -20,5 +20,5 @@
 
 // comments validation
-if (isset($_GET['validate']) and is_numeric($_GET['validate']) and is_admin() and !is_adviser())
+if (isset($_GET['validate']) and is_numeric($_GET['validate']) and is_admin())
 {
     check_status(ACCESS_ADMINISTRATOR);
Index: /extensions/PWG_Stuffs/trunk/modules/Logon/config.inc.php
===================================================================
--- /extensions/PWG_Stuffs/trunk/modules/Logon/config.inc.php	(revision 9736)
+++ /extensions/PWG_Stuffs/trunk/modules/Logon/config.inc.php	(revision 9737)
@@ -9,5 +9,5 @@
 
 // Enregistrement de la configuration
-if (isset($_POST['submit']) and !is_adviser()) {
+if (isset($_POST['submit'])) {
   if (!isset($_POST['remove_menubar_block'])) $_POST['remove_menubar_block']  = '0';
     $datas = array($_POST['remove_menubar_block']);
Index: /extensions/PWG_Stuffs/trunk/modules/MostVisited/config.inc.php
===================================================================
--- /extensions/PWG_Stuffs/trunk/modules/MostVisited/config.inc.php	(revision 9736)
+++ /extensions/PWG_Stuffs/trunk/modules/MostVisited/config.inc.php	(revision 9737)
@@ -12,5 +12,5 @@
 
 // Enregistrement de la configuration
-if (isset($_POST['submit']) and !is_adviser())
+if (isset($_POST['submit']))
 {
   $datas = array(
Index: /extensions/PWG_Stuffs/trunk/modules/Personal/config.inc.php
===================================================================
--- /extensions/PWG_Stuffs/trunk/modules/Personal/config.inc.php	(revision 9736)
+++ /extensions/PWG_Stuffs/trunk/modules/Personal/config.inc.php	(revision 9737)
@@ -6,5 +6,5 @@
 
 // Enregistrement de la configuration
-if (isset($_POST['submit']) and !is_adviser()) {
+if (isset($_POST['submit'])) {
   $datas = stripslashes($_POST['personal_content']);
 }
Index: /extensions/PWG_Stuffs/trunk/modules/Random/config.inc.php
===================================================================
--- /extensions/PWG_Stuffs/trunk/modules/Random/config.inc.php	(revision 9736)
+++ /extensions/PWG_Stuffs/trunk/modules/Random/config.inc.php	(revision 9737)
@@ -12,5 +12,5 @@
 
 // Enregistrement de la configuration
-if (isset($_POST['submit']) and !is_adviser())
+if (isset($_POST['submit']))
 {
   $datas = array(
Index: /extensions/PWG_Stuffs/trunk/modules/Recent/config.inc.php
===================================================================
--- /extensions/PWG_Stuffs/trunk/modules/Recent/config.inc.php	(revision 9736)
+++ /extensions/PWG_Stuffs/trunk/modules/Recent/config.inc.php	(revision 9737)
@@ -12,5 +12,5 @@
 
 // Enregistrement de la configuration
-if (isset($_POST['submit']) and !is_adviser())
+if (isset($_POST['submit']))
 {
   $datas = array(
Index: /extensions/PWG_Stuffs/trunk/modules/Tags/config.inc.php
===================================================================
--- /extensions/PWG_Stuffs/trunk/modules/Tags/config.inc.php	(revision 9736)
+++ /extensions/PWG_Stuffs/trunk/modules/Tags/config.inc.php	(revision 9737)
@@ -5,5 +5,5 @@
 
 // Enregistrement de la configuration
-if (isset($_POST['submit']) and !is_adviser())
+if (isset($_POST['submit']))
 {
   $datas = array($_POST['tag_display']);
Index: /extensions/PWG_Stuffs/trunk/theme/stuffs_index.css
===================================================================
--- /extensions/PWG_Stuffs/trunk/theme/stuffs_index.css	(revision 9736)
+++ /extensions/PWG_Stuffs/trunk/theme/stuffs_index.css	(revision 9737)
@@ -11,20 +11,20 @@
 }
 
-.stuffs {
+#the_page .stuffs {
   margin: 0 0 1em;
   overflow: hidden;
 }
 
-.right_block {
+#the_page .right_block {
   float: right;
   margin: 0 0 0 1em;
 }
 
-.left_block {
+#the_page .left_block {
   float: left;
   margin: 0 1em 0 0;
 }
 
-.middle_block {
+#the_page .middle_block {
   overflow: hidden;
   margin: auto;
Index: /extensions/PWG_Stuffs/trunk/theme/template/stuffs_blocks.tpl
===================================================================
--- /extensions/PWG_Stuffs/trunk/theme/template/stuffs_blocks.tpl	(revision 9736)
+++ /extensions/PWG_Stuffs/trunk/theme/template/stuffs_blocks.tpl	(revision 9737)
@@ -9,5 +9,7 @@
         {if !empty($block.U_EDIT)}
         <ul class="categoryActions">
-          <li><a href="{$block.U_EDIT}" title="{'edit'|@translate}"><img src="{$ROOT_URL}{$themeconf.icon_dir}/category_edit.png" class="button" alt="{'edit'|@translate}"/></a></li>
+          <li><a href="{$block.U_EDIT}" title="{'edit'|@translate}" class="pwg-state-default pwg-button">
+            <span class="pwg-icon pwg-icon-category-edit"> </span><span class="pwg-button-text">{'edit'|@translate}</span>
+	         	</a></li>
         </ul>
         {/if}
Index: /extensions/PWG_Stuffs/trunk/theme/template/stuffs_lastcoms.tpl
===================================================================
--- /extensions/PWG_Stuffs/trunk/theme/template/stuffs_lastcoms.tpl	(revision 9736)
+++ /extensions/PWG_Stuffs/trunk/theme/template/stuffs_lastcoms.tpl	(revision 9737)
@@ -14,20 +14,16 @@
     <div class="description">
       {if isset($comment.U_DELETE) or isset($comment.U_VALIDATE) }
-      <ul class="actions" style="float:right">
+      <div class="actions" style="float:right">
         {if !empty($comment.U_DELETE)}
-        <li>
-          <a href="{$comment.U_DELETE}" title="{'delete this comment'|@translate}">
+          <a href="{$comment.U_DELETE}" title="{'delete this comment'|@translate}" onClick="return confirm('{'Are you sure?'|@translate|@escape:'javascript'}');">
             <img src="{$ROOT_URL}{$themeconf.icon_dir}/delete.png" class="button" alt="[delete]" />
           </a>
-        </li>
         {/if}
         {if !empty($comment.U_VALIDATE)}
-        <li>
           <a href="{$comment.U_VALIDATE}" title="validate this comment">
             <img src="{$ROOT_URL}{$themeconf.icon_dir}/validate_s.png" class="button" alt="[validate]" />
           </a>
-        </li>
         {/if}
-      </ul>
+      </div>
       {/if}
       <span class="author">{$comment.AUTHOR}</span> - <span class="date">{$comment.DATE}</span>
Index: /extensions/PWG_Stuffs/trunk/theme/template/stuffs_thumbnails.tpl
===================================================================
--- /extensions/PWG_Stuffs/trunk/theme/template/stuffs_thumbnails.tpl	(revision 9736)
+++ /extensions/PWG_Stuffs/trunk/theme/template/stuffs_thumbnails.tpl	(revision 9737)
@@ -1,2 +1,4 @@
 {assign var='thumbnails' value=$block.thumbnails}
+<ul class="thumbnails" id="thumbnails">
 {include file='thumbnails.tpl'|@get_extent:'index_thumbnails'}
+</ul>