Index: /extensions/PWG_Stuffs/trunk/admin.php
===================================================================
--- /extensions/PWG_Stuffs/trunk/admin.php	(revision 9738)
+++ /extensions/PWG_Stuffs/trunk/admin.php	(revision 9738)
@@ -0,0 +1,50 @@
+<?php
+
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+global $template, $conf, $user;
+
+load_language('plugin.lang', STUFFS_PATH);
+include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
+include_once(STUFFS_PATH . 'functions.inc.php');
+$my_base_url = get_root_url().'admin.php?page=plugin-'.STUFFS_DIR;
+
+// +-----------------------------------------------------------------------+
+// |                            Tabsheet
+// +-----------------------------------------------------------------------+
+$page['tab'] = isset($_GET['tab']) ? $_GET['tab'] : 'manage';
+
+$tabsheet = new tabsheet();
+$tabsheet->add('manage', l10n('stuffs_mods_management'), $my_base_url.'-manage');
+if ($page['tab'] == 'add_module')
+{
+  $tabsheet->add('add_module', l10n('stuffs_add_mod'), $my_base_url.'-add_module&amp;path='.$_GET['path']);
+}
+else
+{
+  $tabsheet->add('new', l10n('stuffs_add_mod'), $my_base_url.'-new');
+}
+if ($page['tab'] == 'edit_module')
+{
+  $tabsheet->add('edit_module', l10n('stuffs_edit_mod'), $my_base_url.'-edit_module&amp;edit='.$_GET['edit']);
+}
+$tabsheet->add('config', l10n('Configuration'), $my_base_url.'-config');
+$tabsheet->select($page['tab']);
+$tabsheet->assign();
+
+//Récupération des modules disponibles
+add_event_handler('get_stuffs_modules', 'get_default_stuffs_modules');
+$disp_modules = trigger_event('get_stuffs_modules', array());
+uasort($disp_modules, 'name_compare');
+
+$modules = array();
+foreach($disp_modules as $module)
+{
+  $module['path'] = PHPWG_ROOT_PATH.trim($module['path'], './').'/';
+  $modules[$module['path']] = $module;
+}
+
+// Include file
+include(STUFFS_PATH.'admin/'.$page['tab'].'.inc.php');
+
+?>
Index: /extensions/PWG_Stuffs/trunk/admin/add_module.inc.php
===================================================================
--- /extensions/PWG_Stuffs/trunk/admin/add_module.inc.php	(revision 9737)
+++ /extensions/PWG_Stuffs/trunk/admin/add_module.inc.php	(revision 9738)
@@ -93,5 +93,5 @@
         pwg_query($query);
       }
-      redirect(PHPWG_ROOT_PATH.'admin.php?page=plugin&section=' . STUFFS_DIR . '%2Fadmin%2Fadmin.php');
+      redirect($my_base_url);
     }
   }
Index: tensions/PWG_Stuffs/trunk/admin/admin.php
===================================================================
--- /extensions/PWG_Stuffs/trunk/admin/admin.php	(revision 9737)
+++ 	(revision )
@@ -1,50 +1,0 @@
-<?php
-
-if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
-
-global $template, $conf, $user;
-
-load_language('plugin.lang', STUFFS_PATH);
-include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
-include_once(STUFFS_PATH . 'functions.inc.php');
-$my_base_url = get_admin_plugin_menu_link(__FILE__);
-
-// +-----------------------------------------------------------------------+
-// |                            Tabsheet
-// +-----------------------------------------------------------------------+
-$page['tab'] = isset($_GET['tab']) ? $_GET['tab'] : 'manage';
-
-$tabsheet = new tabsheet();
-$tabsheet->add('manage', l10n('stuffs_mods_management'), $my_base_url.'&amp;tab=manage');
-if ($page['tab'] == 'add_module')
-{
-  $tabsheet->add('add_module', l10n('stuffs_add_mod'), $my_base_url.'&amp;tab=add_module&amp;path='.$_GET['path']);
-}
-else
-{
-  $tabsheet->add('new', l10n('stuffs_add_mod'), $my_base_url.'&amp;tab=new');
-}
-if ($page['tab'] == 'edit_module')
-{
-  $tabsheet->add('edit_module', l10n('stuffs_edit_mod'), $my_base_url.'&amp;tab=edit_module&amp;edit='.$_GET['edit']);
-}
-$tabsheet->add('config', l10n('Configuration'), $my_base_url.'&amp;tab=config');
-$tabsheet->select($page['tab']);
-$tabsheet->assign();
-
-//Récupération des modules disponibles
-add_event_handler('get_stuffs_modules', 'get_default_stuffs_modules');
-$disp_modules = trigger_event('get_stuffs_modules', array());
-uasort($disp_modules, 'name_compare');
-
-$modules = array();
-foreach($disp_modules as $module)
-{
-  $module['path'] = PHPWG_ROOT_PATH.trim($module['path'], './').'/';
-  $modules[$module['path']] = $module;
-}
-
-// Include file
-include(STUFFS_PATH.'admin/'.$page['tab'].'.inc.php');
-
-?>
Index: /extensions/PWG_Stuffs/trunk/admin/manage.inc.php
===================================================================
--- /extensions/PWG_Stuffs/trunk/admin/manage.inc.php	(revision 9737)
+++ /extensions/PWG_Stuffs/trunk/admin/manage.inc.php	(revision 9738)
@@ -9,5 +9,5 @@
 {
   pwg_query('DELETE FROM ' . STUFFS_TABLE . ' WHERE id = ' . $_GET['del'] . ' LIMIT 1;');
-  redirect(PHPWG_ROOT_PATH.'admin.php?page=plugin&section=' . STUFFS_DIR . '%2Fadmin%2Fadmin.php');
+  redirect($my_base_url);
 }
 
@@ -85,6 +85,6 @@
     'WIDTH' => $module['width'],
     'ID' => $module['id'],
-    'U_EDIT' => PHPWG_ROOT_PATH . 'admin.php?page=plugin&amp;section=' . STUFFS_DIR . '%2Fadmin%2Fadmin.php&amp;tab=edit_module&amp;edit='.$module['id'],
-    'U_DELETE' => PHPWG_ROOT_PATH . 'admin.php?page=plugin&amp;section=' . STUFFS_DIR . '%2Fadmin%2Fadmin.php&amp;del=' . $module['id'],
+    'U_EDIT' => $my_base_url.'-edit_module&amp;edit='.$module['id'],
+    'U_DELETE' => $my_base_url.'&amp;del=' . $module['id'],
     'MISSING' => $missing_message,
     )
Index: /extensions/PWG_Stuffs/trunk/admin/new.inc.php
===================================================================
--- /extensions/PWG_Stuffs/trunk/admin/new.inc.php	(revision 9737)
+++ /extensions/PWG_Stuffs/trunk/admin/new.inc.php	(revision 9738)
@@ -12,5 +12,5 @@
   else
   {
-    redirect(PHPWG_ROOT_PATH.'admin.php?page=plugin&section=' . STUFFS_DIR . '%2Fadmin%2Fadmin.php&tab=add_module&path=' . urlencode($_POST['module']));
+    redirect($my_base_url.'-add_module&path=' . urlencode($_POST['module']));
   }
 }
Index: /extensions/PWG_Stuffs/trunk/class.inc.php
===================================================================
--- /extensions/PWG_Stuffs/trunk/class.inc.php	(revision 9737)
+++ /extensions/PWG_Stuffs/trunk/class.inc.php	(revision 9738)
@@ -117,5 +117,5 @@
         if (is_admin())
         {
-          $block['U_EDIT'] = PHPWG_ROOT_PATH.'admin.php?page=plugin&amp;section='.STUFFS_DIR.'%2Fadmin%2Fadmin.php&amp;tab=edit_module&amp;edit='.$module['id'].'&amp;redirect='.urlencode(urlencode($_SERVER['REQUEST_URI']));
+          $block['U_EDIT'] = get_root_url().'admin.php?page=plugin-'.STUFFS_DIR.'-edit_module&amp;edit='.$module['id'].'&amp;redirect='.urlencode(urlencode($_SERVER['REQUEST_URI']));
         }
         $this->set_tpl_block($block, $module);
Index: /extensions/PWG_Stuffs/trunk/main.inc.php
===================================================================
--- /extensions/PWG_Stuffs/trunk/main.inc.php	(revision 9737)
+++ /extensions/PWG_Stuffs/trunk/main.inc.php	(revision 9738)
@@ -29,5 +29,5 @@
   array_push($menu, array(
     'NAME' => 'PWG Stuffs',
-    'URL' => get_admin_plugin_menu_link(STUFFS_PATH . 'admin/admin.php')
+    'URL' => get_root_url().'admin.php?page=plugin-'.STUFFS_DIR
     )
   );