Index: /extensions/whois_online/language/sk_SK/description.txt
===================================================================
--- /extensions/whois_online/language/sk_SK/description.txt	(revision 9763)
+++ /extensions/whois_online/language/sk_SK/description.txt	(revision 9763)
@@ -0,0 +1,1 @@
+Whois Online je monitorovací nástroj, ktorý ukazuje v reálnom čase aktivitu (mimo aktivácie histórie a konfiguračných možností).
Index: /extensions/whois_online/language/sk_SK/index.php
===================================================================
--- /extensions/whois_online/language/sk_SK/index.php	(revision 9763)
+++ /extensions/whois_online/language/sk_SK/index.php	(revision 9763)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/whois_online/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/whois_online/language/sk_SK/plugin.lang.php	(revision 9763)
+++ /extensions/whois_online/language/sk_SK/plugin.lang.php	(revision 9763)
@@ -0,0 +1,117 @@
+<?php
+$lang['Monitor'] = 'Monitor';
+$lang['Active capture'] = 'Aktívne zachytávanie';
+$lang['Delete level [10-200] (ratio between obsolete and active)'] = 
+	'Zmazať úrovne [10-200] (pomer medzi zastaralými a aktívnymi)';
+$lang['Obsolete limit [20-100] (obsolete data count)'] = 
+	'Limit pre zastaralé [20-100] (čítač zastaralých dat)';
+$lang['Add link to Plugins menu'] = 'Pridať odkaz do menu doplnkov';
+$lang['Keep data even if plugin is deactivated/uninstall'] = 
+	'Uchovať údaje aj keď je doplnok deaktivovaný/odinštalovaný';
+$lang['Advanced users: template vars are available in all cases and might be included in your extensions'] = 
+	'Pokročilí používatelia: premenné šablón sú k dispozícii v každom prípade a môžu byť použité v rozšírniach';
+$lang['Default display'] = 'Základné zobrazenie';
+$lang['Total hits:'] = 'Celkom záznamov:';
+//$lang['Image hits:'] = 'Hity Fotiek:';
+//$lang['other hits:'] = 'Ostatné záznamy:';
+$lang['Your recently viewed pictures'] = 'Vaše ostatné prehliadnuté fotografie';
+$lang['Most recent 10 minutes hits:'] = 'Počet klikov za ostatných 10 minút:';
+$lang['Some of recently viewed pictures by other users'] = 
+	'Niektoré z ostatných fotografií zobrazených ostatnými návštevníkmi';
+$lang['Current hour hits:'] = 'Počet kliknutí za hodinu:';
+$lang['Yesterday hits:'] = 'Počet klikov za včerajšok:';
+$lang['Last 24h users:'] = 'Návštevníkov za ostatných 24 hodín:';
+$lang['Last hour online users:'] = 'Návštevníkov za ostatnú hodinu:';
+$lang['Recent guest(s):'] = 'Pripojených návštevníkov:';
+$lang['Recent member(s):'] = 'Pripojených používateľov:';
+$lang['Permanence/Durability of user monitoring'] = 'Trvanie monitorovania používateľov';
+//$lang['Next version enhancements: Set/Unset of permanence, Cleaning, and detail reporting'] = 
+//	'Ďalšie verzie: Nastaviť/Zrušiť početnosť, čistenie a detail hlásenia';
+$lang['Whois_review'] = 'Nedávno Vami zobrazené';
+$lang['Whois_others'] = 'Nedávno ostatnými zobrazené'; /* alebo Vami, ale už veľmi dávno */
+$lang['Add icon to History'] = 'Vložiť ikonku do Histórie';
+
+// Added 2.0.e
+$lang['Radar limit'] = 'Limit radaru';
+$lang['Users with image cluetips [10-200]'] = 'Používatelia s históriou fotiek [10-200]';
+$lang['Default %s'] = 'Predvolené %s';
+$lang['Default as anybody'] = 'Predvolené ako ktokoľvek';
+$lang['Webmasters management:'] = 'Ovládanie webmasterov:';
+$lang['Exclude'] = 'Vynechané';
+$lang['Hidden'] = 'Skryté';
+$lang['As anybody'] = 'Ako ktokoľvek';
+$lang['Administrators management:'] = 'Ovládanie administrátorov:';
+$lang['Your `%s` table summary'] = 'Vaša `%s` súhrnná tabuľka';
+$lang['Compress it!'] = 'Skomprimovať to!';
+$lang[' => Delete old guests access (over 3 days), and optimize table and index.'] = 
+	' => Vymazať návštevy staršie ako 3 dni a optimalizovať tabuľku a index.';
+$lang['Space used: %s'] = 'Použité miesto: %s';
+$lang['Unused allocated space: <strong>%s</strong>'] = 'Nevyužitý vyhradený priestor: <strong>%s</strong>';
+$lang['Traced sessions: %s'] = 'Záznamy spojení: %s';
+$lang['Altered/created since: %s'] = 'Zmenené/vytvorené od: %s';
+$lang['Clearing'] = 'Čistenie';
+$lang['Clear temporary users (minimal delay is 6 minutes). To clean any permanent users, switch them before in the right list above.'] = 
+	'Vymazať dočasných používateľov (minimálne zdržanie je 6 minút). K vyčišteniu všetkých stálych používateľov ich ešte prepnite v zozname vpravo hore.';
+$lang['Delete'] = 'Vymazať';
+$lang['Members summary'] = 'Súhrn členov';
+$lang['Registration counter: %s'] = 'Počet registrácií: %s';
+$lang['Most members ever online was %s on %s'] = 'Najviac členov bolo prítmnýcho %s na %s';
+$lang['Y-m-d H:i'] = 'F dS, Y g:i A';
+$lang['Available filters'] = 'Dostupné filtre';
+$lang['Monitored members'] = 'Monitorovaní členovia';
+$lang['Captured guests'] = 'Zachytených návštevníkov';
+$lang['Last 24h accesses'] = 'Prístupy za 24 hodín';
+$lang['More than 24h accesses'] = 'Prístupy za viac ako 24 hodín ';
+$lang['Pictures accesses'] = 'Prístupy k fotokám';
+$lang['No picture accesses'] = 'Fotky bez prístupu';
+$lang['Unidentifed countries'] = 'Neidentifikované krajiny';
+$lang['Only one day accesses'] = 'Len jednodenné prístupy';
+$lang['Several days accesses or over midnight'] = 'Niekoľkodenné prístupy alebo po polnoci';
+$lang['Several identified IPs (Only the first one is kept)'] = 'Niektoré zistené IP (len prvá z nich je uchovaná)';
+$lang['User access details'] = 'Detail prístupu používateľa';
+$lang['No data available'] = 'Záznamy nie sú k dispozícii';
+$lang['users'] = 'Používatelia';
+$lang['First access'] = 'Prvý prístup';
+$lang['Level'] = 'Úroveň';
+$lang['Images (Modify)'] = 'Fotky (Zmeniť)';
+$lang['Last access'] = 'Ostatný prístup';
+$lang['User:'] = 'Používateľ:';
+$lang['(Multiple IP)'] = '(Viacnásobná IP)';
+$lang['Registered since'] = 'Registrovaný od';
+$lang['Hits since'] = 'Záznamy od';
+$lang['on pictures'] = 'na fotky';
+$lang['on pages'] = 'na stránky';
+$lang['Level %d'] = 'Úroveň %d';
+$lang['Image privacy level is higher than the user privacy level (Any change of one of them?)'] = 
+	'Úroveň ochrany fotky je vyššia ako úroveň ochrany používateľa (Akákoľvek zmena jednej z nich?)';
+$lang[' - Over the radar limit => No level control'] = ' - Prekročený limit radaru => bez úrovne kontroly';
+$lang['Previous connection dates'] = 'Predchádzajúce údaje spojenia';
+$lang[': provides newcomers\' localization and possibly new country flags, thanks to them.'] = 
+	': Poskytuje nové lokalizácie a prípadne vďaka nim aj nové vlajky krajín';
+$lang[': provides IP geolocalization on request (link on flag). Useful for unknown countries.'] =
+	': Poskytuje IP geolokalizáciu na požiadanie (odkaz na vlajke). Užitočné pre neznáme krajiny';
+$lang['Report'] = 'Správa radaru';
+$lang['Error range: '] = 'Chybný rozsah: ';
+$lang['Radar_limit [10-200] (Users with image tips on radar page)'] = 
+	'Radar_limit [10-200] (Používatelia s históriou fotiek na stránke radaru)';
+$lang['User follow up error'] = 'Chyba sledovania používateľa';
+$lang['You are Adviser and you are not authorized to change this configuration.'] = 
+	'Ste školiteľ a nemáte oprávnenia k zmene tejto konfigurácie.';
+$lang['Configuration has been saved.'] = 'Konfigurácia bola uložená.';
+$lang['Permanent users (3 months min)'] = 'Stáli používatelia (3 mesiace minimálne)';
+$lang['Temporary users (around 72 hours)'] = 'Dočasní používatelia (približne 72 hodín)';
+$lang['Unknown country'] = 'Neznáma krajina';
+$lang['Deleted language'] = 'Vymazaný jazyk';
+$lang['Recents (less 24h)'] = 'Nedávne (menej ako 24 hodín)';
+$lang['More than 24h'] = 'Viac ako 24 hodín';
+$lang['On pictures'] = 'Na fotkách';
+$lang['Categories only'] = 'Len kategórie';
+$lang['No country'] = 'Žiadna krajina';
+$lang['One day'] = 'Jeden deň';
+$lang['Several days'] = 'Niekoľko dní';
+$lang['Several IPs'] = 'Niekoľko IP';
+$lang['http:geoiptool'] = 'http://www.geoiptool.com/sk/?IP=';
+$lang[':geoiptool:title']= 'Vyhľadanie mojej IP adresy a informácie o geozacielení';
+$lang['http:hostip'] = 'http://www.hostip.info';
+$lang[':hostip:title'] = 'Vyhľadanie mojej IP adresy a informácie o geozacielení spoločnosťou Geotarget IP Project - zobrazenie krajiny, mesta, IP adresy na mape';
+?>