Index: /extensions/Comments_on_Albums/admin/config.php
===================================================================
--- /extensions/Comments_on_Albums/admin/config.php	(revision 9765)
+++ /extensions/Comments_on_Albums/admin/config.php	(revision 9766)
@@ -6,31 +6,28 @@
 // +-----------------------------------------------------------------------+
 if (isset($_POST['config_submit'])) {
-	$user_config = array(
+	$conf['comments_on_albums'] = array(
 		'icon_color' => $_POST['icon_color'],
 		'icon_color_over' => $_POST['icon_color_over'],
 	);
 	
-	pwg_query("UPDATE " . CONFIG_TABLE . " SET `value` = '" . serialize($user_config) . "' WHERE `param` = 'comments_on_albums';");
-	redirect(COA_ADMIN . '-config&amp;msg=saved');
+	pwg_query("UPDATE " . CONFIG_TABLE . " SET `value` = '" . serialize($conf['comments_on_albums']) . "' WHERE `param` = 'comments_on_albums';");
+	array_push($page['infos'], l10n('Information data registered in database'));
 }	
+
 
 // +-----------------------------------------------------------------------+
 //				Template
 // +-----------------------------------------------------------------------+
-if (isset($_GET['msg']) AND $_GET['msg'] == 'saved') {
-	array_push($page['infos'], l10n('Information data registered in database'));
-}
 
 // available icons
 $dh = opendir(COA_PATH . 'template/s26');
 while (($file = readdir($dh)) !== false ) {
-	if ($file !== '.' && $file !== '..') {
-		$color = preg_replace('#^outline\_([a-f0-9]{6})\.png$#', '$1', $file);
-		$template->append('COLORS', $color);
+	if ($file !== '.' AND $file !== '..' 
+	AND in_array(strtolower(end(explode('.', $file))), array('jpg', 'png', 'gif'))) {
+		$template->append('COLORS', $file);
 	}
 }
 closedir($dh);
 	
-
 $template->assign(array(
 	'ICON_COLOR' => $conf['comments_on_albums']['icon_color'],
@@ -38,6 +35,6 @@
 ));
 
-
 $template->set_filenames(array('plugin_admin_content' => dirname(__FILE__).'/template/config.tpl'));
 $template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
+
 ?>
Index: /extensions/Comments_on_Albums/admin/template/config.tpl
===================================================================
--- /extensions/Comments_on_Albums/admin/template/config.tpl	(revision 9765)
+++ /extensions/Comments_on_Albums/admin/template/config.tpl	(revision 9766)
@@ -1,7 +1,6 @@
-{combine_script id='jquery' path='themes/default/js/jquery.min.js'}
-{combine_script id='jquery.cluetip' path='themes/default/js/plugins/jquery.cluetip.js'}
+{combine_script id='jquery.cluetip' require='jquery' path='themes/default/js/plugins/jquery.cluetip.js'}
 {combine_css path=$COA_PATH|@cat:'admin/template/style.css'}
 
-{footer_script}
+{footer_script require='jquery'}
 {literal}
 	jQuery().ready(function(){
@@ -13,8 +12,7 @@
 {/literal}		
 		jQuery('select').change(function() {ldelim}
-			jQuery('#' + jQuery(this).attr('name') + '_live').attr('src', '{$COA_PATH}template/s26/outline_' + jQuery(this).val() + '.png');
+			jQuery('#' + jQuery(this).attr('name') + '_live').attr('src', '{$COA_PATH}template/s26/' + jQuery(this).val());
 		});
 	});
-
 {/footer_script}
 
@@ -42,9 +40,9 @@
 					<select name="icon_color">
 					{foreach from=$COLORS item=COLOR}
-						<option value="{$COLOR}" style="color:#{$COLOR};" {if $COLOR == $ICON_COLOR}selected="selected"{/if}>{$COLOR}</option>
+						<option value="{$COLOR}" {if $COLOR == $ICON_COLOR}selected="selected"{/if}>{$COLOR}</option>
 					{/foreach}
 					</select>
 					
-					<img id="icon_color_live" class="pwg-icon" src="{$COA_PATH}template/s26/outline_{$ICON_COLOR}.png"/>
+					<img id="icon_color_live" class="pwg-icon" src="{$COA_PATH}template/s26/{$ICON_COLOR}"/>
 				</td>
 			</tr>
@@ -58,5 +56,5 @@
 					</select>
 					
-					<img id="icon_color_over_live" class="pwg-icon" src="{$COA_PATH}template/s26/outline_{$ICON_COLOR_OVER}.png"/>
+					<img id="icon_color_over_live" class="pwg-icon" src="{$COA_PATH}template/s26/{$ICON_COLOR_OVER}"/>
 				</td>
 			</tr>
Index: /extensions/Comments_on_Albums/changelog.txt
===================================================================
--- /extensions/Comments_on_Albums/changelog.txt	(revision 9765)
+++ /extensions/Comments_on_Albums/changelog.txt	(revision 9766)
@@ -1,2 +1,7 @@
+1.0
+- first public version
+- compatible with BBCode Bar and/or Smilies Support
+- better css integration
+
 0.3
 - stable version
Index: /extensions/Comments_on_Albums/include/coa_admin_comments.php
===================================================================
--- /extensions/Comments_on_Albums/include/coa_admin_comments.php	(revision 9765)
+++ /extensions/Comments_on_Albums/include/coa_admin_comments.php	(revision 9766)
@@ -92,22 +92,23 @@
 
 	$query = 'SELECT 
-			c.id, 
-			c.category_id, 
-			c.date, 
-			c.author,
+			com.id, 
+			com.category_id, 
+			com.date, 
+			com.author,
 			'.$conf['user_fields']['username'].' AS username, 
-			c.content, 
-			i.name
-		FROM '.COA_TABLE.' AS c
-		INNER JOIN '.CATEGORIES_TABLE.' AS i
-		ON i.id = c.category_id
+			com.content, 
+			cat.name
+		FROM '.COA_TABLE.' AS com
+		INNER JOIN '.CATEGORIES_TABLE.' AS cat
+		ON cat.id = com.category_id
 		LEFT JOIN '.USERS_TABLE.' AS u
-		ON u.'.$conf['user_fields']['id'].' = c.author_id
+		ON u.'.$conf['user_fields']['id'].' = com.author_id
 		WHERE validated = \'false\'
-		ORDER BY c.date DESC
+		ORDER BY com.date DESC
 	;';
 	$result = pwg_query($query);
 
 	while ($row = pwg_db_fetch_assoc($result)) {
+		// author
 		if (empty($row['author_id'])) {
 			$author_name = $row['author'];
@@ -116,4 +117,5 @@
 		}
 		
+		// comment content
 		$template->append('comments', array(
 			'CAT_URL' => PHPWG_ROOT_PATH.'admin.php?page=cat_modify&amp;cat_id='.$row['category_id'],
Index: /extensions/Comments_on_Albums/include/coa_albums.php
===================================================================
--- /extensions/Comments_on_Albums/include/coa_albums.php	(revision 9765)
+++ /extensions/Comments_on_Albums/include/coa_albums.php	(revision 9766)
@@ -154,11 +154,11 @@
 		$query = 'SELECT
 				com.id,
-				author,
-				author_id,
+				com.author,
+				com.author_id,
 				'.$conf['user_fields']['username'].' AS username,
-				date,
-				category_id,
-				content,
-				validated
+				com.date,
+				com.category_id,
+				com.content,
+				com.validated
 			FROM '.COA_TABLE.' AS com
 			LEFT JOIN '.USERS_TABLE.' AS u
Index: /extensions/Comments_on_Albums/include/coa_comments_page.php
===================================================================
--- /extensions/Comments_on_Albums/include/coa_comments_page.php	(revision 9765)
+++ /extensions/Comments_on_Albums/include/coa_comments_page.php	(revision 9766)
@@ -27,9 +27,9 @@
 	<style type="text/css">
 		.pwg-icon-comments-albums {ldelim}
-			background-image: url({$COA_PATH}template/s26/outline_{$ICON_COLOR}.png);
+			background-image: url({$COA_PATH}template/s26/{$ICON_COLOR});
 			background-position: -26px 0;
 		}
 		a:hover .pwg-icon-comments-albums {ldelim}
-			background-image: url({$COA_PATH}template/s26/outline_{$ICON_COLOR_OVER}.png);
+			background-image: url({$COA_PATH}template/s26/{$ICON_COLOR_OVER});
 			background-position: -26px 0;
 		}
@@ -148,4 +148,5 @@
 			com.author,
 			com.author_id,
+			'.$conf['user_fields']['username'].' AS username,
 			com.date,
 			com.content,
@@ -198,5 +199,5 @@
 
 		foreach ($comments as $comment) {
-			// comment content
+			// category
 			$name = $categories[$comment['comment_id']]['name'];
 			$url = duplicate_index_url(array(
@@ -207,4 +208,6 @@
 				),array('start')
 			));
+			
+			// comment content
 			$tpl_comment = array(
 				'CAT_URL' => $url,
Index: /extensions/Comments_on_Albums/include/index.php
===================================================================
--- /extensions/Comments_on_Albums/include/index.php	(revision 9766)
+++ /extensions/Comments_on_Albums/include/index.php	(revision 9766)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Comments_on_Albums/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/Comments_on_Albums/language/en_UK/plugin.lang.php	(revision 9765)
+++ /extensions/Comments_on_Albums/language/en_UK/plugin.lang.php	(revision 9766)
@@ -10,8 +10,7 @@
 $lang['COA_icon_over'] = 'Over state';
 
-$lang['COA_help_icon_pack'] = "Select which icons must be used on the main Comments page.";/*<br>
+$lang['COA_help_icon_pack'] = "Select which icons must be used on the main Comments page.<br>
 	<br>
-	You can add your owns in the folder <i>plugins/comments_on_pictures/template/s26</i>.<br>
-	Please respect the name scheme !";*/
+	You can add your owns in the folder <i>plugins/comments_on_pictures/template/s26</i>.";
 	
 ?>
Index: /extensions/Comments_on_Albums/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Comments_on_Albums/language/fr_FR/plugin.lang.php	(revision 9765)
+++ /extensions/Comments_on_Albums/language/fr_FR/plugin.lang.php	(revision 9766)
@@ -10,8 +10,7 @@
 $lang['COA_icon_over'] = 'Etat haut';
 
-$lang['COA_help_icon_pack'] = "Selectionnez les icônes à utiliser sur la page principale des commentaires";/*<br>
+$lang['COA_help_icon_pack'] = "Selectionnez les icônes à utiliser sur la page principale des commentaires<br>
 	<br>
-	Vous pouvez ajouter les votres dans le dossier <i>plugins/comments_on_pictures/template/s26</i>.<br>
-	Attention à respecter le même nommage !";*/
+	Vous pouvez ajouter les votres dans le dossier <i>plugins/comments_on_pictures/template/s26</i>.";
 	
 ?>
Index: /extensions/Comments_on_Albums/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/Comments_on_Albums/language/hu_HU/plugin.lang.php	(revision 9765)
+++ /extensions/Comments_on_Albums/language/hu_HU/plugin.lang.php	(revision 9766)
@@ -10,8 +10,7 @@
 $lang['COA_icon_over'] = 'Bővített állapot';
 
-$lang['COA_help_icon_pack'] = "Ki kell választani a Hozzászólások fő oldalon megjelenítendő ikonokat.";/*<br>
+$lang['COA_help_icon_pack'] = "Ki kell választani a Hozzászólások fő oldalon megjelenítendő ikonokat.<br>
 	<br>
-	Hozzáadhatsz saját mappát a  <i>plugins/comments_on_pictures/template/s26</i> könyvtárhoz.<br>
-	Légy tekintettel az azonos név sémára !";*/
+	Hozzáadhatsz saját mappát a  <i>plugins/comments_on_pictures/template/s26</i> könyvtárhoz.";
 	
 ?>
Index: /extensions/Comments_on_Albums/main.inc.php
===================================================================
--- /extensions/Comments_on_Albums/main.inc.php	(revision 9765)
+++ /extensions/Comments_on_Albums/main.inc.php	(revision 9766)
@@ -2,5 +2,5 @@
 /*
 Plugin Name: Comments on Albums
-Version: 0.3
+Version: 1.0
 Description: Activate comments on albums pages
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=512
@@ -17,5 +17,5 @@
 // +-----------------------------------------------------------------------+
 define('COA_NAME' , 'Comments on Albums');
-define('COA_VERSION', '0.3');
+define('COA_VERSION', '1.0');
 define('COA_DIR' , basename(dirname(__FILE__)));
 define('COA_PATH' , PHPWG_PLUGINS_PATH . COA_DIR . '/');
@@ -38,7 +38,10 @@
 
 function COA_index() {
-	global $template, $page, $conf;
+	global $template, $page, $conf, $pwg_loaded_plugins;
 	
 	if ($page['section'] == 'categories' AND isset($page['category'])) {	
+		if (isset($pwg_loaded_plugins['bbcode_bar'])) set_bbcode_bar();
+		else if (isset($pwg_loaded_plugins['SmiliesSupport']))set_smiliessupport_page();
+		
 		include(COA_PATH . 'include/coa_albums.php');
 	}
Index: /extensions/Comments_on_Albums/maintain.inc.php
===================================================================
--- /extensions/Comments_on_Albums/maintain.inc.php	(revision 9765)
+++ /extensions/Comments_on_Albums/maintain.inc.php	(revision 9766)
@@ -4,6 +4,6 @@
 // Default configuration
 define('default_config', serialize(array(
-	'icon_color' => 'ff3363',
-	'icon_color_over' => 'ff7700',
+	'icon_color' => 'outline_ff3363.png',
+	'icon_color_over' => 'outline_ff7700.png',
 )));
 
Index: /extensions/Comments_on_Albums/template/coa_albums.tpl
===================================================================
--- /extensions/Comments_on_Albums/template/coa_albums.tpl	(revision 9765)
+++ /extensions/Comments_on_Albums/template/coa_albums.tpl	(revision 9766)
@@ -3,9 +3,5 @@
 {combine_script id="jquery"}
 {combine_css path=$COA_PATH|@cat:'template/style_albums.css'}
-
-{footer_script require="jquery"}{literal}
-	// cancel all color changements and set default color to comments
-	jQuery('.thumbnailCategory').css('color', jQuery('body').css('color'));
-{/literal}{/footer_script}
+{if $themeconf.name == 'Sylvia'}{combine_css path=$COA_PATH|@cat:'template/style_albums_sylvia.css'}{/if}
 
 <a name="comments"></a>
Index: /extensions/Comments_on_Albums/template/coa_comments_page.tpl
===================================================================
--- /extensions/Comments_on_Albums/template/coa_comments_page.tpl	(revision 9765)
+++ /extensions/Comments_on_Albums/template/coa_comments_page.tpl	(revision 9766)
@@ -6,9 +6,9 @@
 	<style type="text/css">
 		.pwg-icon-comments-images {ldelim}
-			background-image: url({$COA_PATH}template/s26/outline_{$ICON_COLOR}.png);
+			background-image: url({$COA_PATH}template/s26/{$ICON_COLOR});
 			background-position: 0 0;
 		}
 		a:hover .pwg-icon-comments-images {ldelim}
-			background-image: url({$COA_PATH}template/s26/outline_{$ICON_COLOR_OVER}.png);
+			background-image: url({$COA_PATH}template/s26/{$ICON_COLOR_OVER});
 			background-position: 0 0;
 		}
Index: /extensions/Comments_on_Albums/template/index.php
===================================================================
--- /extensions/Comments_on_Albums/template/index.php	(revision 9766)
+++ /extensions/Comments_on_Albums/template/index.php	(revision 9766)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Comments_on_Albums/template/s26/index.php
===================================================================
--- /extensions/Comments_on_Albums/template/s26/index.php	(revision 9766)
+++ /extensions/Comments_on_Albums/template/s26/index.php	(revision 9766)
@@ -0,0 +1,30 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based picture gallery                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2010 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Comments_on_Albums/template/style_albums.css
===================================================================
--- /extensions/Comments_on_Albums/template/style_albums.css	(revision 9765)
+++ /extensions/Comments_on_Albums/template/style_albums.css	(revision 9766)
@@ -7,18 +7,11 @@
 }
 
-#comments .thumbnailCategory {
-	padding:0px 2px 0px 12px !important; 
-	border:1px solid grey;
-}
 #comments .thumbnailCategories {
 	margin-left:5px;
 }
+#comments  .thumbnailCategory {
+	margin:2px 0;
+}
 
-#comments .thumbnailCategories li:hover,
-#comments .thumbnailCategory:hover,
-#comments .thumbnailCategory:hover A { 
-	background:none; 
-}
-	
 #comments .thumbnailCategory  .date, #comments .thumbnailCategory  .author {
 	font-weight:bold;
Index: /extensions/Comments_on_Albums/template/style_albums_sylvia.css
===================================================================
--- /extensions/Comments_on_Albums/template/style_albums_sylvia.css	(revision 9766)
+++ /extensions/Comments_on_Albums/template/style_albums_sylvia.css	(revision 9766)
@@ -0,0 +1,13 @@
+#comments  .thumbnailCategory {
+	padding-left:10px;
+	border: 1px solid #666; 
+}
+#comments  .thumbnailCategory.odd { 
+	background-color: #222; 
+}
+#comments  .thumbnailCategory.even { 
+	background-color: #111; 
+}
+#comments .thumbnailCategories li:hover { 
+	background-color: transparent; 
+}
Index: /extensions/Comments_on_Albums/template/style_comments.css
===================================================================
--- /extensions/Comments_on_Albums/template/style_comments.css	(revision 9765)
+++ /extensions/Comments_on_Albums/template/style_comments.css	(revision 9766)
@@ -1,6 +1,4 @@
 .thumbnailCategory .category-title {
-	position:absolute;
-	margin-top:-5px;
-	font-size:1.2em;
+	font-size:1.1em;
 	font-weight:bold;
 }